<x-core::form.field :showLabel="$showLabel" :showField="$showField" :options="$options" :name="$name" :prepend="$prepend ?? null"
    :append="$append ?? null" :showError="$showError" :nameKey="$nameKey">
    <x-slot:label>
        @if ($showLabel && $options['label'] !== false && $options['label_show'])
            {!! Form::customLabel($name, $options['label'], $options['label_attr']) !!}
        @endif
    </x-slot:label>

    {!! Form::file($name, ['accept' => 'application/pdf', 'class' => 'pdf-file-input']) !!}

    @if (isset($options['value']) && $options['value'])
        <div class="pdf-file-preview">
            <h4></h4>
            <a href="{{ asset('storage/pdf/' . $options['value']) }}" target="_blank" class="btn btn-primary"
                id="view-pdf">View PDF</a>

            <!-- Hidden field to mark PDF removal -->
            <input type="hidden" name="remove_pdf_file" id="remove_pdf_file" value="">

            <button type="button" class="btn btn-danger" id="remove-pdf">
                &#x1F5D1;
            </button>
        </div>
    @endif
</x-core::form.field>

<script>
    document.addEventListener('DOMContentLoaded', function() {
        var removePdfButton = document.getElementById('remove-pdf');
        var viewPdfLink = document.getElementById('view-pdf');
        var hiddenRemoveInput = document.getElementById('remove_pdf_file');

        if (removePdfButton) {
            removePdfButton.addEventListener('click', function() {
                var confirmation = confirm('Are you sure you want to remove the PDF?');
                if (confirmation) {
                    if (viewPdfLink) {
                        viewPdfLink.remove();
                    }

                    removePdfButton.style.display = 'none';
                    hiddenRemoveInput.value = '1';
                }
            });
        }
    });
</script>
