@extends('core/base::layouts.master')

@section('content')
    <div class="container">
        <h3>All Evaluations</h3>

        @if ($gradesAndRecommendations->isEmpty())
            <p>No recommendations or grades found.</p>
        @else
            <table class="table table-striped card-table">
                <thead>
                    <tr>
                        <th>Evaluator Name</th>
                        <th>Evaluator Role</th>
                        <th>Grade</th>
                        <th class="text-center">Recommendation (Invite for FOC Symposium)</th>
                        <th>Comments</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach ($gradesAndRecommendations as $evaluation)
                        <tr>
                            <td>{{ $evaluation->evaluator_full_name }}</td>
                            <td>{{ $evaluation->evaluator_role }}</td>
                            <td>
                                @if (empty($evaluation->grade))
                                    -
                                @else
                                    {{ $evaluation->grade }}
                                @endif
                            </td>
                            <td class="text-center">{{ $evaluation->recommendation }}</td>
                            <td>{{ $evaluation->comments }}</td>
                        </tr>
                    @endforeach
                </tbody>
            </table>
        @endif

        <!-- Final Approval Status -->
        @if ($finalApprovalStatus)
            <div class="alert alert-info mt-4">
                <h4>Final Status</h4>
                <p><strong>Evaluator:</strong>
                    @if ($finalApprovalStatus->final_approver_id && $finalApprovalStatus->final_approver_role)
                        {{ $finalApprovalStatus->final_approver_role }}
                    @else
                        Not available
                    @endif
                </p>
                <p><strong>Status:</strong> {{ $finalApprovalStatus->final_status }}</p>
                <p><strong>Comments:</strong> {{ $finalApprovalStatus->final_status_comment }}</p>
            </div>
        @else
            <div class="alert alert-warning mt-4">
                <p><strong>No final status found for this application.</strong></p>
            </div>
        @endif
    </div>
@endsection
