@extends('core/base::layouts.master')

@section('content')
    <form action="{{ route('tifrfacultyrecruitmentapplication.evaluationStatusUpdate', $facultyRecruitment->id) }}"
        data-aos="fade-up" data-aos-delay="100" method="POST">
        @csrf
        <div class="row">
            <div class="gap-3 col-md-9">
                <div class="card mb-3">
                    <div class="card-body">
                        <div class="form-body">
                            <div class="row gy-4">

                                <div class="col-md-4">
                                    <label class="form-label">Salutation</label>
                                    <div class="form-label-data">{{ $facultyRecruitment->salutation }}
                                    </div>
                                </div>

                                <div class="col-md-4">
                                    <label class="form-label">First Name</label>
                                    <div class="form-label-data">{{ $facultyRecruitment->first_name }}
                                    </div>
                                </div>

                                <div class="col-md-4">
                                    <label class="form-label">Middle Name</label>
                                    <div class="form-label-data">{{ $facultyRecruitment->middle_name }}
                                    </div>
                                </div>

                                <div class="col-md-4">
                                    <label class="form-label">Last Name</label>
                                    <div class="form-label-data">{{ $facultyRecruitment->last_name }}
                                    </div>
                                </div>

                                <div class="col-md-4">
                                    <label class="form-label">Gender</label>
                                    <div class="form-label-data">{{ $facultyRecruitment->gender }}</div>
                                </div>

                                <div class="col-md-4 ">
                                    <label class="form-label">Email</label>
                                    <div class="form-label-data">{{ $facultyRecruitment->email }}</div>
                                </div>

                                <div class="col-md-4">
                                    <label class="form-label">Phone</label>
                                    <div class="form-label-data">{{ $facultyRecruitment->phone }}</div>
                                </div>

                                <div class="col-md-4">
                                    <label class="form-label">Country</label>
                                    <div class="form-label-data">{{ $facultyRecruitment->country }}</div>
                                </div>

                                <div class="col-md-4"></div>

                                <div class="col-md-4">
                                    <label class="form-label">Cover Letter</label>
                                    @if (isset($facultyRecruitment->cover_letter))
                                        <div class="form-label-data"><a
                                                href="{{ asset('storage/tifr_faculty_documents/' . $facultyRecruitment->cover_letter) }}"
                                                target="_blank">
                                                View
                                            </a></div>
                                    @else
                                        -
                                    @endif
                                </div>

                                <div class="col-md-4">
                                    <label class="form-label">Curriculum Vitae</label>
                                    @if (isset($facultyRecruitment->cv))
                                        <div class="form-label-data"><a
                                                href="{{ asset('storage/tifr_faculty_documents/' . $facultyRecruitment->cv) }}"
                                                target="_blank">
                                                View
                                            </a></div>
                                    @else
                                        -
                                    @endif
                                </div>

                                <div class="col-md-4">
                                    <label class="form-label">List of Referees</label>
                                    @if (isset($facultyRecruitment->referees_list))
                                        <div class="form-label-data"><a
                                                href="{{ asset('storage/tifr_faculty_documents/' . $facultyRecruitment->referees_list) }}"
                                                target="_blank">
                                                View
                                            </a></div>
                                    @else
                                        -
                                    @endif
                                </div>
                                <div class="col-md-4">
                                    <label class="form-label">Detailed Research Proposal</label>
                                    @if (isset($facultyRecruitment->research_proposal))
                                        <div class="form-label-data"><a
                                                href="{{ asset('storage/tifr_faculty_documents/' . $facultyRecruitment->research_proposal) }}"
                                                target="_blank">
                                                View
                                            </a></div>
                                    @else
                                        -
                                    @endif
                                </div>

                                <div class="col-md-4">
                                    <label class="form-label">Copies of Three Selected Publications</label>
                                    @if (isset($facultyRecruitment->publications_list))
                                        <div class="form-label-data"><a
                                                href="{{ asset('storage/tifr_faculty_documents/' . $facultyRecruitment->publications_list) }}"
                                                target="_blank">
                                                View
                                            </a></div>
                                    @else
                                        -
                                    @endif
                                </div>

                                <div class="col-md-12">
                                    <div class="or-part"><span class="or-span">AND</span></div>
                                </div>

                                <div class="col-md-4">
                                    <label class="form-label">Combined Application</label>
                                    @if (isset($facultyRecruitment->combined_application))
                                        <div class="form-label-data"><a
                                                href="{{ asset('storage/tifr_faculty_documents/' . $facultyRecruitment->combined_application) }}"
                                                target="_blank">
                                                View
                                            </a></div>
                                    @else
                                        -
                                    @endif
                                </div>

                                <div class="col-md-12">
                                    <label class="form-label">Affiliation</label>
                                    {{ $facultyRecruitment->affiliation }}
                                </div>

                                <div class="col-md-12">
                                    <label class="form-label">Mailing Address</label>
                                    {{ $facultyRecruitment->address }}
                                </div>
                            </div>

                        </div>
                    </div>
                </div>
            </div>

            @if (
                (auth()->user()->roles()->first()->name == 'Committee Member' ||
                    auth()->user()->roles()->first()->name == 'Chairperson') &&
                    $final_status &&
                    $final_status->is_complete != 'Yes')
                <div class="col-md-3 gap-3 d-flex flex-column-reverse flex-md-column mb-md-0 mb-5">

                    @if ((!$evaluations || $can_edit_grade_recom_comment) && $final_status->is_complete == 'No')
                        <div class="card">
                            <div class="card-header">
                                <h4 class="card-title">
                                    Action
                                </h4>
                            </div>

                            <div class="card-body">
                                <div class="btn-list">
                                    <button class="btn btn-primary" type="submit" value="apply" name="submitter">
                                        <svg class="icon icon-left svg-icon-ti-ti-device-floppy"
                                            xmlns="http://www.w3.org/2000/svg" width="24" height="24"
                                            viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2"
                                            stroke-linecap="round" stroke-linejoin="round">
                                            <path stroke="none" d="M0 0h24v24H0z" fill="none"></path>
                                            <path d="M6 4h10l4 4v10a2 2 0 0 1 -2 2h-12a2 2 0 0 1 -2 -2v-12a2 2 0 0 1 2 -2">
                                            </path>
                                            <path d="M12 14m-2 0a2 2 0 1 0 4 0a2 2 0 1 0 -4 0"></path>
                                            <path d="M14 4l0 4l-6 0l0 -4"></path>
                                        </svg>
                                        Save
                                    </button>
                                    <button class="btn" type="submit" name="submitter" value="save">
                                        <svg class="icon icon-left svg-icon-ti-ti-transfer-in"
                                            xmlns="http://www.w3.org/2000/svg" width="24" height="24"
                                            viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2"
                                            stroke-linecap="round" stroke-linejoin="round">
                                            <path stroke="none" d="M0 0h24v24H0z" fill="none"></path>
                                            <path d="M4 18v3h16v-14l-8 -4l-8 4v3"></path>
                                            <path d="M4 14h9"></path>
                                            <path d="M10 11l3 3l-3 3"></path>
                                        </svg>
                                        Save &amp; Exit


                                    </button>
                                </div>
                            </div>
                        </div>
                        <div data-bb-waypoint="" data-bb-target="#form-actions"></div>
                        <header class="top-0 w-100 position-fixed end-0 z-1000" id="form-actions" style="display: none;">
                            <div class="navbar">
                                <div class="container-xl">
                                    <div class="row g-2 align-items-center w-100">
                                        <div class="col">
                                            <div class="page-pretitle">
                                                <nav aria-label="breadcrumb">
                                                    <ol class="breadcrumb"></ol>
                                                </nav>
                                            </div>
                                        </div>
                                        <div class="col-auto ms-auto d-print-none">
                                            <div class="btn-list">
                                                <button class="btn btn-primary" type="submit" value="apply"
                                                    name="submitter">
                                                    <svg class="icon icon-left svg-icon-ti-ti-device-floppy"
                                                        xmlns="http://www.w3.org/2000/svg" width="24" height="24"
                                                        viewBox="0 0 24 24" fill="none" stroke="currentColor"
                                                        stroke-width="2" stroke-linecap="round" stroke-linejoin="round">
                                                        <path stroke="none" d="M0 0h24v24H0z" fill="none"></path>
                                                        <path
                                                            d="M6 4h10l4 4v10a2 2 0 0 1 -2 2h-12a2 2 0 0 1 -2 -2v-12a2 2 0 0 1 2 -2">
                                                        </path>
                                                        <path d="M12 14m-2 0a2 2 0 1 0 4 0a2 2 0 1 0 -4 0"></path>
                                                        <path d="M14 4l0 4l-6 0l0 -4"></path>
                                                    </svg>
                                                    Save
                                                </button>
                                                <button class="btn" type="submit" name="submitter" value="save">
                                                    <svg class="icon icon-left svg-icon-ti-ti-transfer-in"
                                                        xmlns="http://www.w3.org/2000/svg" width="24" height="24"
                                                        viewBox="0 0 24 24" fill="none" stroke="currentColor"
                                                        stroke-width="2" stroke-linecap="round" stroke-linejoin="round">
                                                        <path stroke="none" d="M0 0h24v24H0z" fill="none"></path>
                                                        <path d="M4 18v3h16v-14l-8 -4l-8 4v3"></path>
                                                        <path d="M4 14h9"></path>
                                                        <path d="M10 11l3 3l-3 3"></path>
                                                    </svg>
                                                    Save &amp; Exit
                                                </button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </header>
                    @endif

                    @if (auth()->user()->roles()->first()->name == 'Committee Member' ||
                            auth()->user()->roles()->first()->name == 'Chairperson')
                        @if ($final_status && $final_status->is_complete == 'Yes' && $evaluationStatus['status'] == 'allow_complete')
                            <div class="card meta-boxes">
                                <div class="card-header">
                                    <h4 class="card-title">
                                        <label for="recommendation" class="form-label">All Evaluations</label>
                                    </h4>
                                </div>
                                <div class="card-body">
                                    @if ($final_status && $final_status->is_complete == 'Yes')
                                        <div class="alert alert-success">
                                            The application is now marked as complete. You can view the evaluations of other
                                            members.
                                        </div>
                                        <a target="_blank"
                                            href="{{ route('tifrfacultyrecruitmentapplication.committee.recommendations', $facultyRecruitment->id) }}"
                                            class="btn btn-primary">
                                            View
                                        </a>
                                    @else
                                        <div class="alert alert-warning">
                                            The application has not been marked as complete. Committee recommendations and
                                            grades
                                            are
                                            not available.
                                        </div>
                                    @endif
                                </div>
                            </div>
                        @endif
                    @endif

                    @if (auth()->user()->roles()->first()->name == 'Chairperson')
                        <div class="card meta-boxes">
                            <div class="card-header">
                                <h4 class="card-title">
                                    <label for="recommendation" class="form-label">Final Status</label>
                                </h4>
                            </div>
                            <div class="card-body">
                                @if ($evaluationStatus['status'] == 'allow_complete')
                                    @if ($final_status && $final_status->is_complete == 'No')
                                        <div class="alert alert-success">
                                            All evaluations are complete. You can now mark the application as complete.
                                        </div>
                                    @endif

                                    {{-- <form method="POST"
                                    action="{{ route('tifrfacultyrecruitmentapplication.markApplicationCompleteByChairman', $facultyRecruitment->id) }}">
                                    @csrf
                                    <button type="submit" class="btn btn-primary">Mark as Complete</button>
                                </form> --}}

                                    <div class="form-check">
                                        {{-- <input required class="form-check-input" type="checkbox" name="mark_complete"
                                            value="Yes" id="markComplete"
                                            {{ old('mark_complete', $final_status->is_complete ?? '') == 'Yes' ? 'checked' : '' }}> --}}

                                        <input required class="form-check-input" type="checkbox" name="mark_complete"
                                            value="Yes" id="markComplete"
                                            {{ old('mark_complete', $final_status->is_complete ?? '') == 'Yes' ? 'checked' : '' }}
                                            @if ($final_status->is_complete == 'Yes') disabled @endif>

                                        <label class="form-check-label" for="markComplete">
                                            Mark as Complete
                                        </label>
                                    </div>
                                    <small class="text-muted">You cannot change the status once the application is marked
                                        as complete.</small>
                                @else
                                    <div class="alert alert-warning">
                                        The application is waiting for evaluations from all committee members.
                                        <br>
                                        <!-- Display how many committee members have completed the evaluation out of the total -->
                                        {{ $evaluationStatus['completed_evaluations'] }} of
                                        {{ $evaluationStatus['committee_count'] }} members has completed their evaluation.
                                    </div>
                                @endif
                            </div>
                        </div>
                    @endif

                    <div class="card meta-boxes">
                        <div class="card-header">
                            <h4 class="card-title">
                                <label for="grade" class="form-label">Grade (Out of 100)</label>
                            </h4>
                        </div>
                        <div class="card-body">
                            {{-- <input type="number" required name="grade" class="form-control" min="1"
                            max="100" value="{{ $evaluations ? $evaluations->grade : '' }}"> --}}

                            <!-- Display status to the Chairperson -->
                            @if (auth()->user()->roles()->first()->name == 'Chairperson')
                                {{-- @if ($evaluationStatus['status'] == 'allow_complete') --}}
                                {{-- <input type="number" required name="grade" class="form-control" min="1"
                                max="100" value="{{ $evaluations ? $evaluations->grade : '' }}"> --}}

                                @if ($can_edit_grade_recom_comment)
                                    <!-- If no grade is set yet, allow input -->
                                    <input type="number" name="grade" class="form-control" min="1"
                                        max="100" value="{{ $evaluations ? $evaluations->grade : '' }}" required>
                                    <small class="text-muted">You cannot update the grade once it's set.</small>
                                @else
                                    <!-- If grade is already set, display it as read-only -->
                                    <input type="text" class="form-control" value="{{ $evaluations->grade }}"
                                        disabled>
                                    <small class="text-muted">You cannot update the grade once it's set.</small>
                                @endif
                            @else
                                {{-- <div class="alert alert-warning">
                                The application is still waiting for evaluations from all committee members.
                            </div> --}}
                            @endif
                            {{-- @endif --}}

                            <!-- Grade input for Committee Members -->
                            @if (auth()->user()->roles()->first()->name == 'Committee Member')
                                @if ($evaluations)
                                    <!-- If evaluation exists for the committee member -->
                                    @if ($can_edit_grade_recom_comment)
                                        <!-- If no grade is set yet, allow input -->
                                        <input type="number" name="grade" class="form-control" min="1"
                                            max="100" value="{{ $evaluations ? $evaluations->grade : '' }}"
                                            required>
                                        <small class="text-muted">You cannot update the grade once it's set.</small>
                                    @else
                                        <!-- If grade is already set, display it as read-only -->
                                        <input type="text" class="form-control" value="{{ $evaluations->grade }}"
                                            disabled>
                                        <small class="text-muted">You cannot update the grade once it's set.</small>
                                    @endif
                                @else
                                    <!-- If no evaluation exists, allow the user to input a grade -->
                                    <input type="number" name="grade" class="form-control" min="1"
                                        max="100" value="{{ old('grade') }}" required>
                                    <small class="text-muted">You cannot update the grade once it's set.</small>
                                @endif

                                {{-- @if ($final_status && $final_status->is_complete == 'Yes')
                                <a target="_blank"
                                    href="{{ route('tifrfacultyrecruitmentapplication.committee.recommendations', $facultyRecruitment->id) }}"
                                    class="btn btn-primary">
                                    View Committee Recommendations and Grades
                                </a>
                            @else
                                <p>The application has not been marked as complete. Committee recommendations and grades
                                    are
                                    not available.</p>
                            @endif --}}
                            @endif
                        </div>
                    </div>
                    <div class="card meta-boxes">
                        <div class="card-header">
                            <h4 class="card-title">
                                <label for="recommendation" class="form-label">Recommendation</label>
                            </h4>
                        </div>
                        <div class="card-body">
                            {{-- <select required class="form-control form-select" id="recommendation" name="recommendation">
                            <option value="Yes"
                                {{ isset($evaluations) && $evaluations->recommendation == 'Yes' ? 'selected' : '' }}>
                                Yes
                            </option>
                            <option value="No"
                                {{ isset($evaluations) && $evaluations->recommendation == 'No' ? 'selected' : '' }}>
                                No
                            </option>
                        </select> --}}
                            <select required class="form-control form-select" id="recommendation" name="recommendation"
                                @if ($evaluations && !$can_edit_grade_recom_comment) disabled @endif>
                                <option value="Yes"
                                    {{ isset($evaluations) && $evaluations->recommendation == 'Yes' ? 'selected' : '' }}>
                                    Yes
                                </option>
                                <option value="No"
                                    {{ isset($evaluations) && $evaluations->recommendation == 'No' ? 'selected' : '' }}>
                                    No
                                </option>
                            </select>

                            {{-- @if ($evaluations && !$can_edit_grade_recom_comment) --}}
                            <small class="text-muted">You cannot update the recommendation once it's set.</small>
                            {{-- @endif --}}
                        </div>
                    </div>
                    <div class="card meta-boxes">
                        <div class="card-header">
                            <h4 class="card-title">
                                <label for="comments" class="form-label">Comment</label>
                            </h4>
                        </div>
                        <div class="card-body">
                            {{-- <textarea required name="comments" class="form-control" id="comments">{{ isset($evaluations) ? $evaluations->comments : '' }}</textarea> --}}
                            <textarea required name="comments" class="form-control" id="comments"
                                @if ($evaluations && !$can_edit_grade_recom_comment) disabled @endif>{{ isset($evaluations) ? $evaluations->comments : '' }}</textarea>

                            {{-- @if ($evaluations && !$can_edit_grade_recom_comment) --}}
                            <small class="text-muted">You cannot update the comment once it's set.</small>
                            {{-- @endif --}}
                        </div>
                    </div>
                </div>
            @endif
        </div>
    </form>
@endsection
