<?php

namespace Botble\TifrFacultyRecruitmentApplication\Forms;

use Botble\Base\Forms\FieldOptions\NameFieldOption;
use Botble\Base\Forms\FieldOptions\StatusFieldOption;
use Botble\Base\Forms\Fields\SelectField;
use Botble\Base\Forms\Fields\TextField;
use Botble\Base\Forms\FormAbstract;
use Botble\TifrFacultyRecruitmentApplication\Http\Requests\TifrFacultyRecruitmentApplicationRequest;
use Botble\TifrFacultyRecruitmentApplication\Models\TifrFacultyRecruitmentApplication;

class TifrFacultyRecruitmentApplicationForm extends FormAbstract
{
    public function setup(): void
    {
        $this
            ->model(TifrFacultyRecruitmentApplication::class)
            ->setValidatorClass(TifrFacultyRecruitmentApplicationRequest::class)
            ->add('name', TextField::class, NameFieldOption::make()->required())
            ->add('status', SelectField::class, StatusFieldOption::make())
            ->setBreakFieldPoint('status');
    }
}
