<?php

namespace Botble\TifrFacultyRecruitmentApplication\Providers;

use Botble\Base\Supports\ServiceProvider;
use Botble\Base\Traits\LoadAndPublishDataTrait;
use Botble\Base\Facades\DashboardMenu;
use Botble\TifrFacultyRecruitmentApplication\Models\TifrFacultyRecruitmentApplication;

class TifrFacultyRecruitmentApplicationServiceProvider extends ServiceProvider
{
    use LoadAndPublishDataTrait;

    public function boot(): void
    {
        $this
            ->setNamespace('plugins/tifrfacultyrecruitmentapplication')
            ->loadHelpers()
            ->loadAndPublishConfigurations(['permissions'])
            ->loadAndPublishTranslations()
            ->loadRoutes()
            ->loadAndPublishViews()
            ->loadMigrations();

        // Register the views directory with the correct namespace
        $this->loadViewsFrom(
            platform_path('plugins/tifr-faculty-recruitment-application/resources/views'),
            'tifrfacultyrecruitmentapplication' // This defines the view namespace you're using
        );

        if (defined('LANGUAGE_ADVANCED_MODULE_SCREEN_NAME')) {
            \Botble\LanguageAdvanced\Supports\LanguageAdvancedManager::registerModule(TifrFacultyRecruitmentApplication::class, [
                'name',
            ]);
        }

        DashboardMenu::default()->beforeRetrieving(function () {
            DashboardMenu::registerItem([
                'id' => 'cms-plugins-tifrfacultyrecruitmentapplication',
                'priority' => 5,
                'parent_id' => null,
                'name' => 'plugins/tifrfacultyrecruitmentapplication::tifrfacultyrecruitmentapplication.name',
                'icon' => 'ti ti-box',
                'url' => route('tifrfacultyrecruitmentapplication.index'),
                'permissions' => ['tifrfacultyrecruitmentapplication.index'],
            ]);
        });
    }
}
