<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class () extends Migration {
    public function up(): void
    {
        if (! Schema::hasTable('tifr_team_masters')) {
            Schema::create('tifr_team_masters', function (Blueprint $table) {
                $table->id();
                $table->string('name', 255);
                $table->string('status', 60)->default('published');
                $table->timestamps();
            });
        }

        if (! Schema::hasTable('tifr_team_masters_translations')) {
            Schema::create('tifr_team_masters_translations', function (Blueprint $table) {
                $table->string('lang_code');
                $table->foreignId('tifr_team_masters_id');
                $table->string('name', 255)->nullable();

                $table->primary(['lang_code', 'tifr_team_masters_id'], 'tifr_team_masters_translations_primary');
            });
        }
    }

    public function down(): void
    {
        Schema::dropIfExists('tifr_team_masters');
        Schema::dropIfExists('tifr_team_masters_translations');
    }
};
