@extends('core/base::layouts.master')

<link rel="stylesheet" href="https://cdn.ckeditor.com/ckeditor5/43.3.1/ckeditor5.css">

<style>
    .ck-editor__editable {
        min-height: 200px;
        max-height: 400px;
    }
</style>

@section('content')
    <form
        action="{{ isset($tifrTeamMaster) ? route('tifrteammaster.update', $tifrTeamMaster->id) : route('tifrteammaster.store') }}"
        method="POST" enctype="multipart/form-data">
        @csrf
        @if (isset($tifrTeamMaster))
            @method('PUT')
        @endif

        <div class="row">
            <div class="gap-3 col-md-9">
                <div class="card mb-3">
                    <div class="card-body">
                        <div class="form-body">

                            <div class="mb-3 position-relative">
                                <label for="main_category" class="form-label">Main Category</label>
                                <select class="form-control" id="main_category" name="main_category_id" required>
                                    <option value="">Select Main Category</option>
                                    @foreach ($mainCategories as $id => $name)
                                        <option value="{{ $id }}"
                                            {{ isset($tifrTeamMaster) && $tifrTeamMaster->main_category_id == $id ? 'selected' : '' }}>
                                            {{ $name }}</option>
                                    @endforeach
                                </select>
                            </div>

                            <div class="mb-3 position-relative">
                                <label for="sub_category" class="form-label">Sub Category</label>
                                <select required class="form-control" id="sub_category" name="sub_category_id"
                                    {{ isset($tifrTeamMaster) && $tifrTeamMaster->sub_category_id ? '' : 'disabled' }}>
                                    <option value="">Select Sub Category</option>
                                    @if (!empty($tifrTeamMaster->sub_category_id))
                                        @foreach ($subCategories as $id => $name)
                                            <option value="{{ $id }}"
                                                {{ isset($tifrTeamMaster) && $tifrTeamMaster->sub_category_id == $id ? 'selected' : '' }}>
                                                {{ $name }}</option>
                                        @endforeach
                                    @endif
                                </select>
                            </div>

                            <h4>Personal Information</h4>

                            <div class="mb-3 position-relative">
                                <label for="full_name" class="form-label">Name</label>
                                <input placeholder="Name" type="text" class="form-control" id="full_name"
                                    name="full_name"
                                    value="{{ isset($tifrTeamMaster) ? $tifrTeamMaster->full_name : old('full_name') }}"
                                    required>
                            </div>

                            <div class="mb-3 position-relative">
                                <label for="email" class="form-label">Email</label>
                                <input placeholder="Email" class="form-control" name="email" type="email" id="email"
                                    value="{{ isset($tifrTeamMaster) ? $tifrTeamMaster->email : old('email') }}">
                            </div>

                            <div class="mb-3 position-relative">
                                <label for="designation" class="form-label">Designation</label>
                                <input placeholder="Designation" class="form-control" name="designation" type="text"
                                    id="designation"
                                    value="{{ isset($tifrTeamMaster) ? $tifrTeamMaster->designation : old('designation') }}">
                            </div>

                            <div class="mb-3 position-relative">
                                <label for="department" class="form-label">Department</label>
                                <input placeholder="Department" class="form-control" name="department" type="text"
                                    id="department"
                                    value="{{ isset($tifrTeamMaster) ? $tifrTeamMaster->department : old('department') }}">
                            </div>

                            <div class="mb-3 position-relative">
                                <label for="affiliation" class="form-label">Affiliation</label>
                                <input placeholder="Affiliation" class="form-control" name="affiliation" type="text"
                                    id="affiliation"
                                    value="{{ isset($tifrTeamMaster) ? $tifrTeamMaster->affiliation : old('affiliation') }}">
                            </div>

                            <div class="mb-3 position-relative">
                                <label for="research_interests" class="form-label">Research Interests</label>
                                <input placeholder="Research Interests" class="form-control" name="research_interests"
                                    type="text" id="research_interests"
                                    value="{{ isset($tifrTeamMaster) ? $tifrTeamMaster->research_interests : old('research_interests') }}">
                            </div>

                            <div class="mb-3 position-relative">
                                <label for="room_no" class="form-label">Room No</label>
                                <input placeholder="Room No" class="form-control" name="room_no" type="text"
                                    id="room_no"
                                    value="{{ isset($tifrTeamMaster) ? $tifrTeamMaster->room_no : old('room_no') }}">
                            </div>

                            <div class="mb-3 position-relative">
                                <label for="office_address" class="form-label">Office Address</label>
                                <textarea placeholder="Office Address" id="office_address" name="office_address" class="form-control" rows="4"><?= isset($tifrTeamMaster) ? htmlspecialchars($tifrTeamMaster->office_address) : htmlspecialchars(old('office_address')) ?></textarea>
                            </div>

                            <div class="mb-3 position-relative">
                                <label for="contact_extension" class="form-label">Contact Extension</label>
                                <input placeholder="Contact Extension" class="form-control" name="contact_extension"
                                    type="text" id="contact_extension"
                                    value="{{ isset($tifrTeamMaster) ? $tifrTeamMaster->contact_extension : old('contact_extension') }}">
                            </div>

                            <div class="mb-3 position-relative">
                                <label for="phone" class="form-label">Phone</label>
                                <input placeholder="Phone" class="form-control" name="phone" type="text"
                                    id="phone"
                                    value="{{ isset($tifrTeamMaster) ? $tifrTeamMaster->phone : old('phone') }}">
                            </div>

                            <div class="mb-3 position-relative">
                                <label for="mobile" class="form-label">Mobile</label>
                                <input placeholder="Mobile" class="form-control" name="mobile" type="text"
                                    id="mobile"
                                    value="{{ isset($tifrTeamMaster) ? $tifrTeamMaster->mobile : old('mobile') }}">
                            </div>

                            <div class="mb-3 position-relative">
                                <label for="fax" class="form-label">Fax</label>
                                <input placeholder="Fax" type="text" class="form-control" id="fax"
                                    name="fax"
                                    value="{{ isset($tifrTeamMaster) ? $tifrTeamMaster->fax : old('fax') }}">
                            </div>

                            <h4>Academic Profile</h4>
                            <div class="mb-3 position-relative">
                                <label class="form-label" for="doctoral_degree">Doctoral Degree</label>
                                <input placeholder="Doctoral Degree" type="text" class="form-control"
                                    id="doctoral_degree" name="doctoral_degree"
                                    value="{{ isset($tifrTeamMaster) ? $tifrTeamMaster->doctoral_degree : old('doctoral_degree') }}">
                            </div>

                            <div class="mb-3 position-relative">
                                <label class="form-label" for="post_doctoral_experience">Post Doctoral Experience</label>
                                <input placeholder="Post Doctoral Experience" type="text" class="form-control"
                                    id="post_doctoral_experience" name="post_doctoral_experience"
                                    value="{{ isset($tifrTeamMaster) ? $tifrTeamMaster->post_doctoral_experience : old('post_doctoral_experience') }}">
                            </div>

                            <div class="mb-3 position-relative">
                                <label for="other_experience" class="form-label">Other Experience</label>
                                <textarea placeholder="Other Experience" id="other_experience" name="other_experience" class="form-control"
                                    rows="4"><?= isset($tifrTeamMaster) ? htmlspecialchars($tifrTeamMaster->other_experience) : htmlspecialchars(old('other_experience')) ?></textarea>
                            </div>

                            <div class="mb-3 position-relative">
                                <label class="form-label" for="group_page">Group Page</label>
                                <input placeholder="Group Page" type="text" class="form-control" id="group_page"
                                    name="group_page"
                                    value="{{ isset($tifrTeamMaster) ? $tifrTeamMaster->group_page : old('group_page') }}">
                            </div>

                            <div class="mb-3 position-relative">
                                <label class="form-label" for="external_url">External URL</label>
                                <input placeholder="External URL" type="text" class="form-control" id="external_url"
                                    name="external_url"
                                    value="{{ isset($tifrTeamMaster) ? $tifrTeamMaster->external_url : old('external_url') }}">
                            </div>

                            <div class="mb-3 position-relative">
                                <label class="form-label" for="current_research">Current Research</label>
                                <textarea class="form-control editor-ckeditor ays-ignore" id="current_research" name="current_research"
                                    rows="4"><?= isset($tifrTeamMaster) ? htmlspecialchars($tifrTeamMaster->current_research) : htmlspecialchars(old('current_research')) ?></textarea>
                            </div>

                            <div class="mb-3 position-relative">
                                <label for="selected_publications" class="form-label">Selected Publications</label>
                                <textarea id="selected_publications" name="selected_publications" class="form-control editor-ckeditor ays-ignore"
                                    rows="4"><?= isset($tifrTeamMaster) ? htmlspecialchars($tifrTeamMaster->selected_publications) : htmlspecialchars(old('selected_publications')) ?></textarea>
                            </div>

                            <div class="mb-3 position-relative">
                                <label for="awards" class="form-label">Awards</label>
                                <textarea id="awards" name="awards" class="form-control editor-ckeditor ays-ignore" rows="4"><?= isset($tifrTeamMaster) ? htmlspecialchars($tifrTeamMaster->awards) : htmlspecialchars(old('awards')) ?></textarea>
                            </div>

                            <div class="mb-3 position-relative">
                                <label class="form-label" for="password">Password</label>
                                <input placeholder="Password" type="text" class="form-control" id="password"
                                    name="password"
                                    value="{{ isset($tifrTeamMaster) ? $tifrTeamMaster->password : old('password') }}">
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="col-md-3 gap-3 d-flex flex-column-reverse flex-md-column mb-md-0 mb-5">
                <div class="card">
                    <div class="card-header">
                        <h4 class="card-title">
                            Publish
                        </h4>
                    </div>

                    <div class="card-body">
                        <div class="btn-list">
                            <button class="btn btn-primary" type="submit" value="apply" name="submitter">
                                <svg class="icon icon-left svg-icon-ti-ti-device-floppy"
                                    xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24"
                                    fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round"
                                    stroke-linejoin="round">
                                    <path stroke="none" d="M0 0h24v24H0z" fill="none"></path>
                                    <path d="M6 4h10l4 4v10a2 2 0 0 1 -2 2h-12a2 2 0 0 1 -2 -2v-12a2 2 0 0 1 2 -2"></path>
                                    <path d="M12 14m-2 0a2 2 0 1 0 4 0a2 2 0 1 0 -4 0"></path>
                                    <path d="M14 4l0 4l-6 0l0 -4"></path>
                                </svg>
                                Save
                            </button>
                            <button class="btn" type="submit" name="submitter" value="save">
                                <svg class="icon icon-left svg-icon-ti-ti-transfer-in" xmlns="http://www.w3.org/2000/svg"
                                    width="24" height="24" viewBox="0 0 24 24" fill="none"
                                    stroke="currentColor" stroke-width="2" stroke-linecap="round"
                                    stroke-linejoin="round">
                                    <path stroke="none" d="M0 0h24v24H0z" fill="none"></path>
                                    <path d="M4 18v3h16v-14l-8 -4l-8 4v3"></path>
                                    <path d="M4 14h9"></path>
                                    <path d="M10 11l3 3l-3 3"></path>
                                </svg>
                                Save &amp; Exit


                            </button>
                        </div>
                    </div>
                </div>
                <div data-bb-waypoint="" data-bb-target="#form-actions"></div>
                <header class="top-0 w-100 position-fixed end-0 z-1000" id="form-actions" style="display: none;">
                    <div class="navbar">
                        <div class="container-xl">
                            <div class="row g-2 align-items-center w-100">
                                <div class="col">
                                    <div class="page-pretitle">
                                        <nav aria-label="breadcrumb">
                                            <ol class="breadcrumb"></ol>
                                        </nav>
                                    </div>
                                </div>
                                <div class="col-auto ms-auto d-print-none">
                                    <div class="btn-list">
                                        <button class="btn btn-primary" type="submit" value="apply" name="submitter">
                                            <svg class="icon icon-left svg-icon-ti-ti-device-floppy"
                                                xmlns="http://www.w3.org/2000/svg" width="24" height="24"
                                                viewBox="0 0 24 24" fill="none" stroke="currentColor"
                                                stroke-width="2" stroke-linecap="round" stroke-linejoin="round">
                                                <path stroke="none" d="M0 0h24v24H0z" fill="none"></path>
                                                <path
                                                    d="M6 4h10l4 4v10a2 2 0 0 1 -2 2h-12a2 2 0 0 1 -2 -2v-12a2 2 0 0 1 2 -2">
                                                </path>
                                                <path d="M12 14m-2 0a2 2 0 1 0 4 0a2 2 0 1 0 -4 0"></path>
                                                <path d="M14 4l0 4l-6 0l0 -4"></path>
                                            </svg>
                                            Save
                                        </button>
                                        <button class="btn" type="submit" name="submitter" value="save">
                                            <svg class="icon icon-left svg-icon-ti-ti-transfer-in"
                                                xmlns="http://www.w3.org/2000/svg" width="24" height="24"
                                                viewBox="0 0 24 24" fill="none" stroke="currentColor"
                                                stroke-width="2" stroke-linecap="round" stroke-linejoin="round">
                                                <path stroke="none" d="M0 0h24v24H0z" fill="none"></path>
                                                <path d="M4 18v3h16v-14l-8 -4l-8 4v3"></path>
                                                <path d="M4 14h9"></path>
                                                <path d="M10 11l3 3l-3 3"></path>
                                            </svg>
                                            Save &amp; Exit
                                        </button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </header>
                <div class="card meta-boxes">
                    <div class="card-header">
                        <h4 class="card-title">
                            <label for="status" class="form-label">Status</label>
                        </h4>
                    </div>
                    <div class="card-body">
                        <select class="form-control form-select" id="status" name="status">
                            <option value="Active"
                                {{ isset($tifrTeamMaster) && $tifrTeamMaster->status == 'Active' ? 'selected' : (old('status') == 'Active' ? 'selected' : '') }}>
                                Active</option>
                            <option value="Inactive"
                                {{ isset($tifrTeamMaster) && $tifrTeamMaster->status == 'Inactive' ? 'selected' : (old('status') == 'Inactive' ? 'selected' : '') }}>
                                Inactive</option>
                        </select>
                    </div>
                </div>
                <div class="card meta-boxes">

                    <div class=" card-body">
                        <div class="mb-3 position-relative">
                            <label for="profile_picture" class="form-label">Profile Picture</label>
                            <input type="file" id="profile_picture" name="profile_picture">
                            @if (!empty($tifrTeamMaster->profile_picture))
                                <div class="mt-2" id="profile-picture-container">
                                    <img src="{{ asset('storage/tifr_team_member_profile_pictures/' . $tifrTeamMaster->profile_picture) }}"
                                        alt="Profile Picture" width="100">
                                    <button type="button" class="btn btn-danger ml-2"
                                        id="delete_profile_picture">&#x1F5D1;</button>
                                    <input type="hidden" name="hidden_delete_profile_picture" value="0"
                                        id="hidden_delete_profile_picture">
                                </div>
                            @endif
                        </div>
                    </div>

                </div>
            </div>
        </div>

    </form>

    <script>
        $(document).ready(function() {
            $("#main_category").on("change", function() {
                var mainCategoryId = $(this).val();

                if (!mainCategoryId) {
                    var subCategoryDropdown = $("#sub_category");
                    subCategoryDropdown.empty();
                    subCategoryDropdown.prop("disabled", true);
                    subCategoryDropdown.append("<option value=''>Select Sub Category</option>");
                    return;
                }

                var subCategoryDropdown = $("#sub_category");
                subCategoryDropdown.empty();
                subCategoryDropdown.prop("disabled", true);
                subCategoryDropdown.append("<option value=''>Loading sub-categories...</option>");

                $.ajax({
                    url: "{{ route('tifrteammaster.sub-categories') }}",
                    type: "GET",
                    data: {
                        main_category_id: mainCategoryId
                    },
                    success: function(response) {
                        if (response.status === 'success') {
                            subCategoryDropdown.empty();
                            subCategoryDropdown.append(
                                "<option value=''>Select Sub Category</option>");
                            $.each(response.data, function(key, value) {
                                subCategoryDropdown.append("<option value='" + key +
                                    "'>" + value + "</option>");
                            });
                            subCategoryDropdown.prop("disabled", false);
                        } else if (response.status === 'error') {
                            subCategoryDropdown.empty();
                            subCategoryDropdown.append("<option value=''>" + response.message +
                                "</option>");
                            subCategoryDropdown.prop("disabled", true);
                        } else {
                            subCategoryDropdown.empty();
                            subCategoryDropdown.append(
                                "<option value=''>Error loading sub-categories</option>");
                            subCategoryDropdown.prop("disabled", true);
                        }
                    },
                    error: function(xhr, status, error) {
                        subCategoryDropdown.empty();
                        subCategoryDropdown.append(
                            "<option value=''>Error loading sub-categories</option>");
                        subCategoryDropdown.prop("disabled", true);
                    }
                });
            });

            $('#delete_profile_picture').on('click', function() {
                $('#hidden_delete_profile_picture').val('1');
                $('#profile-picture-container').hide();
                $('#profile_picture').val('');
            });
        });
    </script>
    <script type="importmap">
    {
        "imports": {
            "ckeditor5": "https://cdn.ckeditor.com/ckeditor5/43.3.1/ckeditor5.js",
            "ckeditor5/": "https://cdn.ckeditor.com/ckeditor5/43.3.1/"
        }
    }
</script>

    <script type="module">
        import {
            ClassicEditor,
            AccessibilityHelp,
            Alignment,
            Autoformat,
            AutoImage,
            AutoLink,
            Autosave,
            BlockQuote,
            Bold,
            Code,
            CodeBlock,
            Essentials,
            FontBackgroundColor,
            FontColor,
            FontFamily,
            FontSize,
            GeneralHtmlSupport,
            Heading,
            HtmlEmbed,
            ImageBlock,
            ImageInline,
            ImageInsert,
            ImageInsertViaUrl,
            ImageResize,
            ImageStyle,
            ImageToolbar,
            ImageUpload, // Keep this plugin to handle the image preview functionality
            Italic,
            Link,
            List,
            ListProperties,
            Paragraph,
            RemoveFormat,
            SelectAll,
            ShowBlocks,
            SourceEditing,
            Strikethrough,
            Table,
            TableCaption,
            TableCellProperties,
            TableColumnResize,
            TableProperties,
            TableToolbar,
            TextTransformation,
            Underline,
            Undo
        } from 'ckeditor5';

        // Create a no-op (no operation) upload adapter
        class NoOpUploadAdapter {
            constructor(loader) {
                this.loader = loader;
            }

            upload() {
                return new Promise((resolve, reject) => {
                    const reader = new FileReader();

                    reader.onload = () => {
                        resolve({
                            default: reader.result
                        }); // Return base64 image as the URL
                    };

                    reader.onerror = reject;

                    reader.readAsDataURL(this.loader.file); // Convert file to Base64
                });
            }

            abort() {
                // Handle abort if necessary
            }
        }

        function initCKEditor(selector) {
            ClassicEditor
                .create(document.querySelector(selector), {
                    toolbar: {
                        items: [
                            'heading', '|', 'fontColor', 'fontSize', 'fontBackgroundColor', 'fontFamily', 'bold',
                            'italic', 'underline',
                            'link', 'strikethrough', 'bulletedList', 'numberedList', '|', 'alignment', '|',
                            'htmlEmbed', 'insertImage', 'blockQuote', 'insertTable', 'undo',
                            'redo', 'removeFormat', 'sourceEditing', 'fullScreen',
                        ],
                        shouldNotGroupWhenFull: true
                    },
                    plugins: [
                        AccessibilityHelp,
                        Alignment,
                        Autoformat,
                        AutoImage,
                        AutoLink,
                        Autosave,
                        BlockQuote,
                        Bold,
                        Code,
                        CodeBlock,
                        Essentials,
                        FontBackgroundColor,
                        FontColor,
                        FontFamily,
                        FontSize,
                        GeneralHtmlSupport,
                        Heading,
                        HtmlEmbed,
                        ImageBlock,
                        ImageInline,
                        ImageInsert,
                        ImageInsertViaUrl,
                        ImageResize,
                        ImageStyle,
                        ImageToolbar,
                        ImageUpload, // Keep this plugin for image preview
                        Italic,
                        Link,
                        List,
                        ListProperties,
                        Paragraph,
                        RemoveFormat,
                        SelectAll,
                        ShowBlocks,
                        SourceEditing,
                        Strikethrough,
                        Table,
                        TableCaption,
                        TableCellProperties,
                        TableColumnResize,
                        TableProperties,
                        TableToolbar,
                        TextTransformation,
                        Underline,
                        Undo
                    ],
                    fontFamily: {
                        supportAllValues: true
                    },
                    fontSize: {
                        options: [10, 12, 14, 'default', 18, 20, 22],
                        supportAllValues: true
                    },
                    heading: {
                        options: [{
                                model: 'paragraph',
                                title: 'Paragraph',
                                class: 'ck-heading_paragraph'
                            },
                            {
                                model: 'heading1',
                                view: 'h1',
                                title: 'Heading 1',
                                class: 'ck-heading_heading1'
                            },
                            {
                                model: 'heading2',
                                view: 'h2',
                                title: 'Heading 2',
                                class: 'ck-heading_heading2'
                            },
                            {
                                model: 'heading3',
                                view: 'h3',
                                title: 'Heading 3',
                                class: 'ck-heading_heading3'
                            },
                            {
                                model: 'heading4',
                                view: 'h4',
                                title: 'Heading 4',
                                class: 'ck-heading_heading4'
                            },
                            {
                                model: 'heading5',
                                view: 'h5',
                                title: 'Heading 5',
                                class: 'ck-heading_heading5'
                            },
                            {
                                model: 'heading6',
                                view: 'h6',
                                title: 'Heading 6',
                                class: 'ck-heading_heading6'
                            }
                        ]
                    },
                    htmlSupport: {
                        allow: [{
                            name: /^.*$/,
                            styles: true,
                            attributes: true,
                            classes: true
                        }]
                    },
                    image: {
                        toolbar: ['imageTextAlternative', '|', 'imageStyle:inline', 'imageStyle:wrapText',
                            'imageStyle:breakText', '|', 'resizeImage'
                        ]
                    },
                    link: {
                        addTargetToExternalLinks: true,
                        defaultProtocol: 'https://',
                        decorators: {
                            toggleDownloadable: {
                                mode: 'manual',
                                label: 'Downloadable',
                                attributes: {
                                    download: 'file'
                                }
                            }
                        }
                    },
                    list: {
                        properties: {
                            styles: true,
                            startIndex: true,
                            reversed: true
                        }
                    },
                    placeholder: 'Type or paste your content here!',
                    table: {
                        contentToolbar: ['tableColumn', 'tableRow', 'mergeTableCells', 'tableProperties',
                            'tableCellProperties'
                        ]
                    },
                    // Register the no-op upload adapter
                    image: {
                        uploadAdapter: NoOpUploadAdapter
                    }
                })
                .then(editor => {
                    window.editor = editor;
                })
                .catch(error => {
                    console.error(error);
                });
        }

        window.onload = function() {
            initCKEditor('#current_research');
            initCKEditor('#selected_publications');
            initCKEditor('#awards');
        };
    </script>


@endsection
