<link rel="preconnect" href="https://fonts.googleapis.com">
<link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
<link href="https://fonts.googleapis.com/css2?family=Plus+Jakarta+Sans:ital,wght@0,200..800;1,200..800&display=swap"
    rel="stylesheet">

<ul {!! $options !!}>

    @foreach ($menu_nodes->loadMissing('metadata') as $key => $row)
        <li @if ($row->css_class || $row->active) class="@if ($row->css_class){{ $row->css_class }} @endif
            @if ($row->active) current @endif" @endif>

            @php
                // Check if the menu has child menu then create url for child menu
                $firstChildUrl = null;
                if ($row->has_child && $row->child->count() > 0) {
                    $firstChildUrl = url($row->child->first()->url);
                }
            @endphp

            <a href="{{ $firstChildUrl ?? url($row->url) }}"
                @if ($row->target !== '_self') target="{{ $row->target }}" @endif>

                @if ($iconImage = $row->getMetadata('icon_image', true))
                    <img src="{{ RvMedia::getImageUrl($iconImage) }}" alt="icon image" class="menu-icon-image" />
                @elseif ($row->icon_font)
                    <i class="{{ trim($row->icon_font) }}"></i>
                @endif

                <span>{{ $row->title }}</span>

                @if ($row->has_child)
                    <i class="bi bi-chevron-down toggle-dropdown"></i>
                @endif
            </a>

            @if ($row->has_child)
                {!! Menu::generateMenu([
                    'menu' => $menu,
                    'menu_nodes' => $row->child,
                ]) !!}
            @endif
        </li>
    @endforeach
</ul>
