<section id="starter-section" class="faculty-section section pt-0">
    <div class="container">
        <div class="news-part" data-aos="fade-up" data-aos-delay="200">
            <div class="row">
                <div class="col-lg-12">
                    <div class="staf-content-part">
                        <div class="courses-tab" data-aos="fade-up" data-aos-delay="200">
                            <div id="horizontalTab">
                                <ul class="resp-tabs-list">
                                    <li>Core Faculty</li>
                                    <li>Associate Faculty</li>
                                </ul>
                                <div class="resp-tabs-container">
                                    <!-- Core Faculty Tab -->
                                    <div class="tab-staff">
                                        <div class="staff-part">
                                            @foreach ($results as $faculty)
                                            @if ($faculty->sub_category_name == 'Core Faculty')
                                            <div class="staff-col">
                                                <div class="staff-ttl faculty-ttl-2">
                                                    {{ $faculty->full_name }}
                                                    <a href="{{ route('faculty.detail', ['id' => $faculty->id]) }}"
                                                        class="faculty-more">View
                                                        Detail
                                                        <img src="themes/tifr/img/arrow.svg" alt="">
                                                    </a>
                                                </div>
                                                <div class="staff-body">
                                                    <div class="staff-img">
                                                        @if ($faculty->profile_picture)
                                                        <img src="{{ asset('storage/tifr_team_member_profile_pictures/' . $faculty->profile_picture) }}"
                                                            alt="{{ $faculty->full_name }}">
                                                        @else
                                                        <img src="{{ asset('vendor/core/core/base/images/placeholder.png') }}"
                                                            alt="{{ $faculty->full_name }}">
                                                        @endif
                                                    </div>

                                                    <div class="staff-data">
                                                        <!-- Research Interests Section -->
                                                        @if (!empty($faculty->research_interests))
                                                        <div class="staff-data-col">
                                                            <div class="staff-data-icon"><img
                                                                    src="themes/tifr/img/research.svg"
                                                                    alt="..."></div>
                                                            <div class="staff-data-text">
                                                                <div class="staff-data-ttl">Research
                                                                    Interests
                                                                </div>
                                                                <div class="staff-data-info">
                                                                    {{ $faculty->research_interests }}
                                                                </div>
                                                            </div>
                                                        </div>
                                                        @endif

                                                        <!-- Email Section -->
                                                        @if (!empty($faculty->email))
                                                        <div class="staff-data-col">
                                                            <div class="staff-data-icon"><img
                                                                    src="themes/tifr/img/email-4.svg"
                                                                    alt="..."></div>
                                                            <div class="staff-data-text">
                                                                <div class="staff-data-ttl">Email</div>
                                                                <div class="staff-data-info">
                                                                    {{ strtok($faculty->email, '@') }}
                                                                    <span>(Email ids should be appended with /[at]/tifr/[dot]/res/[dot]/in)</span>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        @endif
                                                        <div class="staff-data-col-last faculty-data-col-last">

                                                            <!-- Room Section -->
                                                            @if (!empty($faculty->room_no))
                                                            <div class="staff-data-col">
                                                                <div class="staff-data-icon"><img
                                                                        src="themes/tifr/img/office.svg"
                                                                        alt="..."></div>
                                                                <div class="staff-data-text">
                                                                    <div class="staff-data-ttl">Room</div>
                                                                    <div class="staff-data-info">
                                                                        {{ $faculty->room_no }}
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            @endif

                                                            <!-- Contact Extension Section -->
                                                            @if (!empty($faculty->contact_extension))
                                                            <div class="staff-data-col">
                                                                <div class="staff-data-icon"><img
                                                                        src="themes/tifr/img/fax.svg"
                                                                        alt="..."></div>
                                                                <div class="staff-data-text">
                                                                    <div class="staff-data-ttl">Contact
                                                                        Extension</div>
                                                                    <div class="staff-data-info">
                                                                        {{ $faculty->contact_extension }}
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            @endif
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            @endif
                                            @endforeach
                                        </div>
                                    </div>
                                    <!-- End Core Faculty Tab -->

                                    <!-- Associate Faculty Tab -->
                                    <div class="tab-staff">
                                        <div class="staff-part">
                                            @foreach ($results as $faculty)
                                            @if ($faculty->sub_category_name == 'Associate Faculty')
                                            <div class="staff-col">
                                                <div class="staff-ttl">{{ $faculty->full_name }}</div>
                                                <div class="staff-body">
                                                    <div class="staff-img">
                                                        <img src="{{ asset('storage/tifr_team_member_profile_pictures/' . $faculty->profile_picture) }}"
                                                            alt="{{ $faculty->full_name }}">
                                                    </div>
                                                    <div class="staff-data">
                                                        <!-- Affiliation Section -->
                                                        @if (!empty($faculty->affiliation))
                                                        <div class="staff-data-col">
                                                            <div class="staff-data-icon"><img
                                                                    src="{{ asset('themes/tifr/img/affiliation.svg') }}"
                                                                    alt="Affiliation"></div>
                                                            <div class="staff-data-text">
                                                                <div class="staff-data-ttl">Affiliation
                                                                </div>
                                                                <div class="staff-data-info">
                                                                    {{ $faculty->affiliation }}
                                                                </div>
                                                            </div>
                                                        </div>
                                                        @endif

                                                        <!-- Research Interests Section -->
                                                        @if (!empty($faculty->research_interests))
                                                        <div class="staff-data-col">
                                                            <div class="staff-data-icon"><img
                                                                    src="{{ asset('themes/tifr/img/research.svg') }}"
                                                                    alt="..."></div>
                                                            <div class="staff-data-text">
                                                                <div class="staff-data-ttl">Research
                                                                    Interests
                                                                </div>
                                                                <div class="staff-data-info">
                                                                    {{ $faculty->research_interests }}
                                                                </div>
                                                            </div>
                                                        </div>
                                                        @endif

                                                        <!-- Email Section -->
                                                        @if (!empty($faculty->email))
                                                        <div class="staff-data-col">
                                                            <div class="staff-data-icon"><img
                                                                    src="{{ asset('themes/tifr/img/email-4.svg') }}"
                                                                    alt="..."></div>
                                                            <div class="staff-data-text">
                                                                <div class="staff-data-ttl">Email</div>
                                                                <div class="staff-data-info">
                                                                    {{ strtok($faculty->email, '@') }}
                                                                    <span>(Email ids should be appended with /[at]/tifr/[dot]/res/[dot]/in)</span>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        @endif

                                                        <div class="staff-data-col-last faculty-data-col-last">

                                                            <!-- Room Section -->
                                                            @if (!empty($faculty->room_no))
                                                            <div class="staff-data-col">
                                                                <div class="staff-data-icon"><img
                                                                        src="{{ asset('themes/tifr/img/office.svg') }}"
                                                                        alt="..."></div>
                                                                <div class="staff-data-text">
                                                                    <div class="staff-data-ttl">Room</div>
                                                                    <div class="staff-data-info">
                                                                        {{ $faculty->room_no }}
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            @endif

                                                            <!-- Contact Extension Section -->
                                                            @if (!empty($faculty->contact_extension))
                                                            <div class="staff-data-col">
                                                                <div class="staff-data-icon"><img
                                                                        src="{{ asset('themes/tifr/img/fax.svg') }}"
                                                                        alt="..."></div>
                                                                <div class="staff-data-text">
                                                                    <div class="staff-data-ttl">Contact
                                                                        Extension</div>
                                                                    <div class="staff-data-info">
                                                                        {{ $faculty->contact_extension }}
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            @endif
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            @endif
                                            @endforeach
                                        </div>
                                    </div>
                                    <!-- End Associate Faculty Tab -->
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>