<?php

namespace Theme\Tifr\Http\Controllers;

use Botble\Theme\Http\Controllers\PublicController;
use Illuminate\Support\Facades\Mail;
use App\Mail\WelcomeEmail;

class EmailController extends PublicController
{
    // Send registration email to the user
    public function sendRegistrationEmail($userData)
    {
        // $email_type = 'registration';

        // $welcomeEmail = new WelcomeEmail($email_type);

        // Mail::to($userData['email'])->send($welcomeEmail->with([
        //     'name' => $userData['first_name'] . ' ' . $userData['last_name'],
        //     'email' => $userData['email'],
        //     'username' => $userData['username'],
        //     'password' => $userData['plain_password'],
        // ]));

        $this->sendAdminNotificationEmail($userData);
    }

    // Send admin notification email when a candidate applies
    public function sendAdminNotificationEmail($userData)
    {
        $email_type = 'admin_notification';
        $admin_mail = 'koli@imageonline.co.in';

        $adminEmail = new WelcomeEmail($email_type);

        Mail::to($admin_mail)->send($adminEmail->with([
            'name' => $userData['first_name'] . ' ' . $userData['last_name'],
            'email' => $userData['email'],
            // 'address' => $userData['address'],
            'mobile' => $userData['mobile'],
        ]));
    }

    // Send approval email to the user
    public function sendApprovalEmail()
    {
        // $email_type = 'approval';

        // // Create the email instance
        // $approvalEmail = new WelcomeEmail($email_type);

        // // Send email to the user notifying approval
        // Mail::to($user->email)->send($approvalEmail->with([
        //     'name' => $user->name,
        // ]));

        // // Send email to the chairperson and committee members
        // $this->sendSelectionEmailToCommittee($user);
    }

    // Send email to chairperson and committee members after selection
    private function sendSelectionEmailToCommittee()
    {
        // $selectionEmail = new WelcomeEmail('selection');

        // // Define the committee emails (chairperson and others)
        // $committeeEmails = ['chairperson@example.com', 'committee@example.com']; // Example emails

        // // Send email to each committee member
        // foreach ($committeeEmails as $email) {
        //     Mail::to($email)->send($selectionEmail->with([
        //         'name' => $user->name,
        //     ]));
        // }
    }

    // Send rejection email to the user
    public function sendRejectionEmail()
    {
        // $email_type = 'rejection';

        // // Create the email instance
        // $rejectionEmail = new WelcomeEmail($email_type);

        // // Send email to the user notifying rejection
        // Mail::to($user->email)->send($rejectionEmail->with([
        //     'name' => $user->name,
        // ]));
    }
}
