<style>
    .error {
        color: red;
        font-size: 0.9em;
    }
</style>
<main class="main">

    <section class="header-inside forgot-password-header no-inside-header section dark-background"></section>
    <!-- /Hero Section -->

    <section id="starter-section" class="contact section pb-0">

        <div class="container-fluid p-0">
            <div class="page-title" data-aos="fade-up" data-aos-delay="100">
                <div class="container d-lg-flex flex-wrap align-items-center">
                    <nav class="breadcrumbs">
                        <ol>
                            <li><a href="{{ route('public.index') }}">Home</a></li>
                            <li>Faculty</li>
                            <li class="current">Change Password</li>
                        </ol>
                    </nav>
                    <div class="inside-heading">Change Password</div>
                </div>
            </div>
            <div class="facilities-part facilities-part-left" data-aos="fade-up" data-aos-delay="200">
                <div class="row">
                    <div class="col-lg-6 facilities-col">
                        <div class="facilities-col-ppart">
                            <form id="change_password_form" action="{{ route('faculty.update-password') }}"
                                method="post" class="php-email-form" data-aos="fade-up" data-aos-delay="100">
                                @csrf
                                <div class="row gy-4">
                                    <div class="col-md-12">
                                        <label class="form-label">Current Password</label>
                                        <input type="password" id="current_password" name="current_password"
                                            class="form-control" placeholder="Password" required="">
                                    </div>

                                    <div class="col-md-12">
                                        <label class="form-label">New Password</label>
                                        <input type="password" id="new_password" name="new_password"
                                            class="form-control" placeholder="Password" required="">
                                    </div>

                                    <div class="col-md-12">
                                        <label class="form-label">Confirm Password</label>
                                        <input type="password" id="new_password_confirmation"
                                            name="new_password_confirmation" class="form-control"
                                            placeholder="Repeat Password" required="">
                                    </div>

                                    @if (session('error'))
                                        <div class="col-md-12 mt-3">
                                            <div class="alert alert-danger">
                                                <p>{{ session('error') }}</p>
                                            </div>
                                        </div>
                                    @endif

                                    @if ($errors->any())
                                        <div class="col-md-12 mt-3">
                                            <div class="alert alert-danger">
                                                <ul>
                                                    @foreach ($errors->all() as $error)
                                                        <li>{{ $error }}</li>
                                                    @endforeach
                                                </ul>
                                            </div>
                                        </div>
                                    @endif

                                    <div class="col-md-12">
                                        <button type="submit">Submit</button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>

                    <div class="col-lg-6 facilities-img-col">
                        <div class="facilities-img"><img class="img-fluid"
                                src="{{ url('/themes/tifr/img/forgot-password.jpg') }}" alt="Forgot Password"></div>
                    </div>
                </div>
            </div>
        </div>

    </section>

</main>

<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/jquery-validation@1.19.5/dist/jquery.validate.min.js"></script>
<script>
    var $jq = jQuery.noConflict();
    $jq(document).ready(function() {
        $jq("#change_password_form").validate({
            rules: {
                current_password: {
                    required: true,
                },
                new_password: {
                    required: true,
                    minlength: 6
                },
                new_password_confirmation: {
                    required: true,
                    minlength: 6,
                    equalTo: "#new_password"
                }
            },
            messages: {
                current_password: {
                    required: "Please enter your current password.",
                },
                new_password: {
                    required: "Please enter a new password.",
                    minlength: "New password must be at least 6 characters long."
                },
                new_password_confirmation: {
                    required: "Please confirm your new password.",
                    minlength: "Confirm password must be at least 6 characters long.",
                    equalTo: "New password and confirmation do not match."
                }
            },
            errorPlacement: function(error, element) {
                error.insertAfter(element);
            },
            submitHandler: function(form) {
                form.submit();
            }
        });
    });
</script>
