<link rel="stylesheet" href="{{ asset('themes/tifr/css/owl.carousel.min.css') }}">
<main class="main">
    <section class="header-inside section dark-background faculty-banner"
        style="background:url(../storage/people-header.jpg) no-repeat center top; width:100%; background-size:cover; ">
    </section>


    <section id="starter-section" class="faculty-section section">
        <div class="container">
            <div class="page-title" data-aos="fade-up" data-aos-delay="100">
                <div class="container d-lg-flex flex-wrap align-items-center">
                    <nav class="breadcrumbs">
                        <ol>
                            <li><a href="{{ route('public.index') }}">Home</a></li>
                            <li>People</li>
                            <li class="current">Faculty</li>
                        </ol>
                    </nav>
                    <div class="inside-heading">Faculty</div>
                </div>
            </div>
            <div class="news-part" data-aos="fade-up" data-aos-delay="200">
                <div class="row">
                    <div class="col-lg-7">
                        <div class="faculty-detail-content-part">
                            <div class="staff-part">
                                <div class="staff-col">
                                    <div class="staff-ttl">
                                        <span class="faculty-ttl-detail">{{ $faculty->full_name }}</span>
                                        <span
                                            class="faculty-ttl-sub">{{ $faculty->designation }}<br>{{ $faculty->department }}</span>

                                    </div>
                                    <div class="staff-body">
                                        <div class="staff-img">
                                            <img src="{{ asset('storage/tifr_team_member_profile_pictures/' . $faculty->profile_picture) }}"
                                                alt="{{ $faculty->full_name }}">
                                        </div>
                                        <div class="staff-data">
                                            @if (!empty($faculty->office_address))
                                            <div class="staff-data-col">
                                                <div class="staff-data-icon"><img
                                                        src="{{ asset('themes/tifr/img/office-2.svg') }}"
                                                        alt="Office"></div>
                                                <div class="staff-data-text">
                                                    <div class="staff-data-ttl">Office</div>
                                                    <div class="staff-data-info">{{ $faculty->office_address }}
                                                    </div>
                                                </div>
                                            </div>
                                            @endif
                                            @if (!empty($faculty->email))
                                            <div class="staff-data-col">
                                                <div class="staff-data-icon"><img
                                                        src="{{ asset('themes/tifr/img/email-4.svg') }}"
                                                        alt="Email">
                                                </div>
                                                <div class="staff-data-text">
                                                    <div class="staff-data-ttl">Email</div>
                                                    <div class="staff-data-info">
                                                        {{ strtok($faculty->email, '@') }}
                                                        <span>(Email ids should be appended with /[at]/tifr/[dot]/res/[dot]/in)</span>
                                                    </div>
                                                </div>
                                            </div>
                                            @endif
                                            <div class="staff-data-col-last faculty-data-col-last">
                                                @if (!empty($faculty->phone))
                                                <div class="staff-data-col">
                                                    <div class="staff-data-icon"><img
                                                            src="{{ asset('themes/tifr/img/phone-2.svg') }}"
                                                            alt="Phone">
                                                    </div>
                                                    <div class="staff-data-text">
                                                        <div class="staff-data-ttl">Phone</div>
                                                        <div class="staff-data-info">{{ $faculty->phone }}</div>
                                                    </div>
                                                </div>
                                                @endif
                                                @if (!empty($faculty->fax))
                                                <div class="staff-data-col">
                                                    <div class="staff-data-icon"><img
                                                            src="{{ asset('themes/tifr/img/fax.svg') }}"
                                                            alt="Fax"></div>
                                                    <div class="staff-data-text">
                                                        <div class="staff-data-ttl">Fax</div>
                                                        <div class="staff-data-info">{{ $faculty->fax }}</div>
                                                    </div>
                                                </div>
                                                @endif

                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-5 academic-coll">
                        <div class="faculty-detail-content-part">
                            <div class="staff-part">
                                <div class="staff-col">
                                    <div class="staff-ttl">Academic Profile</div>
                                    <div class="staff-body">
                                        <div class="staff-data staff-data-full">
                                            @if (!empty($faculty->doctoral_degree))
                                            <div class="staff-data-col">
                                                <div class="staff-data-icon"><img
                                                        src="{{ asset('themes/tifr/img/doctoral-degree.svg') }}"
                                                        alt="Doctoral Degree"></div>
                                                <div class="staff-data-text">
                                                    <div class="staff-data-ttl">Doctoral Degree</div>
                                                    <div class="staff-data-info">{{ $faculty->doctoral_degree }}
                                                    </div>
                                                </div>
                                            </div>
                                            @endif
                                            @if (!empty($faculty->post_doctoral_experience))
                                            <div class="staff-data-col">
                                                <div class="staff-data-icon"><img
                                                        src="{{ asset('themes/tifr/img/doctoral-experience.svg') }}"
                                                        alt="Post Doctoral Experience"></div>
                                                <div class="staff-data-text">
                                                    <div class="staff-data-ttl">Post Doctoral Experience</div>
                                                    <div class="staff-data-info">
                                                        {{ $faculty->post_doctoral_experience }}
                                                    </div>
                                                </div>
                                            </div>
                                            @endif
                                            @if (!empty($faculty->group_page))
                                            <div class="staff-data-col">
                                                <div class="staff-data-icon"><img
                                                        src="{{ asset('themes/tifr/img/group-page.svg') }}"
                                                        alt="Group Page">
                                                </div>
                                                <div class="staff-data-text">
                                                    <div class="staff-data-ttl">Group Page</div>
                                                    <div class="staff-data-info">{{ $faculty->group_page }}</div>
                                                </div>
                                            </div>
                                            @endif
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="faculty-tab-section">
            <div class="container">
                <div class="faculty-tab" data-aos="fade-up" data-aos-delay="200">
                    <div id="horizontalTab">
                        <ul class="resp-tabs-list">
                            @if (!empty($faculty->current_research))
                            <li>Current Research</li>
                            @endif
                            @if (!empty($faculty->selected_publications))
                            <li>Selected Publications</li>
                            @endif
                            @if (!empty($faculty->awards))
                            <li>Awards</li>
                            @endif
                        </ul>
                        <div class="resp-tabs-container">
                            @if (!empty($faculty->current_research))
                            <div class="tab-faculty-cont">
                                <div class="tab-faculty-ttl">Current Research</div>
                                {!! $faculty->current_research !!}
                            </div>
                            @endif
                            @if (!empty($faculty->selected_publications))
                            <div class="tab-faculty-cont">
                                <div class="tab-faculty-ttl">Selected Publications</div>
                                {!! $faculty->selected_publications !!}
                            </div>
                            @endif
                            @if (!empty($faculty->awards))
                            <div class="tab-faculty-cont">
                                <div class="tab-faculty-ttl">Awards</div>
                                {!! $faculty->awards !!}
                            </div>
                            @endif
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="other-faculty-section">
            <div class="container">
                <div class="other-faculty-part" data-aos="fade-up" data-aos-delay="200">
                    <div class="tab-faculty-ttl">Other Faculty</div>
                    <div class="owl-carousel owl-theme">
                        @foreach ($other_faculty as $faculty_item)
                        <div class="item">
                            <div class="facultyitem">
                                <div class="facultyitem-img">
                                    <img src="{{ asset('storage/tifr_team_member_profile_pictures/' . $faculty_item->profile_picture) }}"
                                        alt="{{ $faculty_item->full_name }}">
                                </div>
                                <div class="facultyitem-body">
                                    <div class="facultyitem-ttl">{{ $faculty_item->full_name }}</div>
                                    <div class="facultyitem-ttl-sub">
                                        @if (!empty($faculty_item->designation) && !empty($faculty_item->department))
                                        {{ $faculty_item->designation }}<br>{{ $faculty_item->department }}
                                        @elseif (!empty($faculty_item->designation))
                                        {{ $faculty_item->designation }}
                                        @elseif (!empty($faculty_item->department))
                                        {{ $faculty_item->department }}
                                        @else
                                        -
                                        @endif
                                    </div>

                                    <div class="staff-data-col">
                                        <div class="staff-data-icon">
                                            <img src="{{ asset('themes/tifr/img/email-4.svg') }}" alt="Email">
                                        </div>
                                        <div class="staff-data-text">
                                            <div class="staff-data-ttl">Email</div>
                                            <div class="staff-data-info">
                                                @if (!empty($faculty_item->email))
                                                {{ strtok($faculty_item->email, '@') }}
                                                <span>(Email ids should be appended with /[at]/tifr/[dot]/res/[dot]/in)</span>
                                                @else
                                                -
                                                @endif
                                            </div>
                                        </div>
                                    </div>

                                    <div class="staff-data-col">
                                        <div class="staff-data-icon">
                                            <img src="{{ asset('themes/tifr/img/phone-2.svg') }}" alt="Phone">
                                        </div>
                                        <div class="staff-data-text">
                                            <div class="staff-data-ttl">Phone</div>
                                            <div class="staff-data-info">
                                                @if ($faculty_item->mobile)
                                                <a
                                                    href="tel:{{ $faculty_item->mobile }}">{{ $faculty_item->mobile }}</a>
                                                @else
                                                -
                                                @endif
                                            </div>
                                        </div>
                                    </div>

                                    <div class="news-more"><a
                                            href="{{ route('faculty.detail', ['id' => $faculty_item->id]) }}">View
                                            Detail<img src="{{ asset('themes/tifr/img/arrow.svg') }}"
                                                alt="View Detail"></a>
                                    </div>
                                </div>
                            </div>
                        </div>
                        @endforeach
                    </div>
                </div>
            </div>
        </div>

    </section>
</main>

<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/1.11.2/jquery.min.js"></script>
<script>
    $(document).ready(function() {
        $('.owl-carousel').owlCarousel({
            loop: true,
            margin: 30,
            responsiveClass: true,
            responsive: {
                0: {
                    items: 1,
                    nav: true
                },
                600: {
                    items: 1,
                    nav: true
                },
                1000: {
                    items: 3,
                    nav: true,
                    loop: false,
                    margin: 20
                }
            }
        })
    })
</script>