@php
    $breadcrumbs = Theme::breadcrumb()->getCrumbs();
    // echo '<pre>';
    // print_r($breadcrumbs);
    // die();

    // Remove the last breadcrumb, which is the current post
    array_pop($breadcrumbs);
@endphp
<div>

    @if ($post->categories->first()->name == 'News & Events')
        <section class="header-inside news-header section dark-background"></section>
        <section id="starter-section" class="news-section section">

            <div class="container">
                <div class="page-title" data-aos="fade-up" data-aos-delay="100">
                    <div class="container d-lg-flex flex-wrap align-items-center">
                        <nav class="breadcrumbs">
                            <ol>
                                {{-- <li>{!! Theme::breadcrumb()->render() !!}</li> --}}

                                @foreach ($breadcrumbs as $i => $crumb)
                                    <li>
                                        @if ($i != count($breadcrumbs) - 1)
                                            <a href="{{ $crumb['url'] }}">{!! $crumb['label'] !!}</a>
                                        @else
                                            <span class="active">{!! $crumb['label'] !!}</span>
                                        @endif
                                    </li>
                                @endforeach
                            </ol>
                        </nav>
                        <div class="inside-heading">{{ $post->categories->first()->name }}</div>
                    </div>
                </div>
                <div class="news-part" data-aos="fade-up" data-aos-delay="200">
                    <div class="row">
                        <div class="col-lg-9 news-col">
                            <div class="news-content-part news-content-detail-part">
                                <div class="news-content-col">
                                    <div class="news-col-body">
                                        <div class="news-col-img"><img
                                                src="{{ RvMedia::getImageUrl($post->image, null, false, RvMedia::getDefaultImage()) }}"
                                                alt=""></div>

                                        <div class="news-title">{{ $post->name }}</div>
                                        <div class="news-col-text">{!! BaseHelper::clean($post->content) !!}</div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-3 calendar-sidebar-col">
                            <div class="calendar-search-part">
                                <div class="search-container">
                                    <form action="">
                                        <input type="text" placeholder="Search.." name="search">
                                        <button type="submit"><i class="fa fa-search"></i></button>
                                    </form>
                                </div>
                            </div>
                            <div class="news-widgets-part">
                                <div class="news-widgets">
                                    <div class="news-widgets-ttl">Latest Events</div>
                                    @foreach (get_recent_posts(4, 31) as $post)
                                        <div class="news-widgets-col news-widgets-col-first">{{ $post->name }}</div>
                                    @endforeach
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

        </section>
    @endif

    @if ($post->categories->first()->name == 'Calendar')
        <section class="header-inside calendar-header section dark-background"></section>

        <section id="starter-section" class="calendar-section section">
            <div class="container">
                <div class="page-title" data-aos="fade-up" data-aos-delay="100">
                    <div class="container d-lg-flex flex-wrap align-items-center">
                        <nav class="breadcrumbs">
                            <ol>
                                {{-- <li>{!! Theme::breadcrumb()->render() !!}</li> --}}

                                @foreach ($breadcrumbs as $i => $crumb)
                                    <li>
                                        @if ($i != count($breadcrumbs) - 1)
                                            <a href="{{ $crumb['url'] }}">{!! $crumb['label'] !!}</a>
                                        @else
                                            <span class="active">{!! $crumb['label'] !!}</span>
                                        @endif
                                    </li>
                                @endforeach
                            </ol>
                        </nav>
                        <div class="inside-heading">Calendar</div>
                    </div>
                </div>
                <div class="calendar-part" data-aos="fade-up" data-aos-delay="200">
                    <div class="row">

                        <div class="col-lg-9 calendar-col">
                            <div class="calendar-content-part calendar-deatil-part">
                                <div class="calendar-content-col">
                                    <div class="calendar-col-head">
                                        <div class="calendar-col-ttl"><span
                                                class="calendar-ttl">{{ $post->name }}</span></div>

                                        @if ($post->pdf_file)
                                            <div class="calendar-download">
                                                <a href="{{ asset('storage/pdf/' . $post->pdf_file) }}"
                                                    download="{{ $post->pdf_file }}">
                                                    <img src="{{ url('/themes/tifr/img/pdf.svg') }}" alt="PDF Icon">
                                                    <span class="pdf-txt">Abstract</span>
                                                </a>
                                            </div>
                                        @endif
                                    </div>
                                    <div class="calendar-col-body">
                                        <div class="calendar-col-text calendar-col-detail-text">
                                            {!! BaseHelper::clean($post->content) !!}
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="col-lg-3 calendar-sidebar-col">
                            <div class="news-widgets-part">
                                <div class="news-widgets mt-0">
                                    <div class="news-widgets-ttl">Latest Events</div>

                                    @foreach (get_recent_posts(4, 32) as $post)
                                        <div class="news-widgets-col">
                                            <a href="{{ $post->url }}">{{ $post->name }}</a><br>

                                            <a href="{{ $post->url }}">{!! \Str::limit(BaseHelper::clean($post->description), 100) !!}</a>
                                        </div>
                                    @endforeach

                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

        </section>
    @endif
</div>
<br />
{{-- {!! apply_filters(BASE_FILTER_PUBLIC_COMMENT_AREA, null, $post) !!} --}}
