<main class="main">

    <!-- Hero Section -->
    <section class="header-inside search-header section dark-background"></section><!-- /Hero Section -->

    <section id="starter-section" class="search-result section">

        <div class="container">
            <div class="page-title" data-aos="fade-up" data-aos-delay="100">
                <div class="container d-lg-flex flex-wrap align-items-center">
                    <nav class="breadcrumbs">
                        <ol>
                            <li><a href="{{ route('public.index') }}">Home</a></li>
                            <li class="current">Search</li>
                        </ol>
                    </nav>
                    {{-- <div class="inside-heading">Search Results for: "{{ $query }}"</div> --}}

                    <div class="inside-heading">
                        @if (request()->has('q') && request()->input('q') != '')
                            {{ __('Search results for: ":query"', ['query' => request()->input('q')]) }}
                        @else
                            {{ __('Search') }}
                        @endif
                    </div>
                </div>
            </div>

            <div class="search-result-part" data-aos="fade-up" data-aos-delay="200">
                <div class="row">
                    @if ($posts->isNotEmpty())
                        <div class="col-lg-12 search-result-col">
                            <div class="calendar-content-part">
                                @foreach ($posts as $post)
                                    <div class="calendar-content-col">
                                        <div class="calendar-col-head">
                                            {{-- <div class="calendar-col-ttl">
                                                <span class="calendar-ttl">{{ $post->name }}</span>
                                            </div> --}}

                                            <div class="calendar-col-ttl">
                                                <a href="{{ $post->url }}">
                                                    <span class="calendar-ttl">{{ $post->name }}</span>
                                                </a>
                                            </div>
                                        </div>
                                        <div class="calendar-col-body">
                                            {{-- <div class="calendar-col-text">
                                                {{ Str::limit($post->description, 150) }}
                                            </div> --}}
                                            <div class="news-more">
                                                <a href="{{ $post->url }}">Read More<img
                                                        src="{{ url('/themes/tifr/img/arrow.svg') }}"
                                                        alt=""></a>
                                            </div>
                                        </div>
                                    </div>
                                @endforeach
                            </div>
                        </div>
                    @else
                        <div class="col-lg-12 search-result-col">
                            <p class="text-center no-result-found">No result found.</p>
                        </div>
                    @endif
                </div>

                {{-- @if ($posts->hasPages())
                    <div class="pagination">
                        {!! $posts->appends(request()->query())->links() !!}
                    </div>
                @endif --}}

                {{-- Pagination --}}
                {{-- @if ($posts->isNotEmpty())
                    <div class="page-pagination">
                        <div class="page-pagination-part">
                            <ul class="pagination">
                                {!! $posts->appends(request()->query())->links() !!}
                            </ul>
                        </div>
                    </div>
                @endif --}}

                @if ($posts->hasPages())
                    <div class="page-pagination">
                        <div class="page-pagination-part">
                            <ul class="pagination">
                                {{-- Previous Page Link --}}
                                @if ($posts->onFirstPage())
                                    <li class="page-item disabled">
                                        <span class="page-link">‹</span>
                                    </li>
                                @else
                                    <li class="page-item">
                                        <a href="{{ $posts->previousPageUrl() . '&' . http_build_query(request()->except('page')) }}"
                                            class="page-link">‹</a>
                                    </li>
                                @endif

                                {{-- First Page Link --}}
                                @if ($posts->currentPage() > 3)
                                    <li class="page-item">
                                        <a href="{{ $posts->url(1) . '&' . http_build_query(request()->except('page')) }}"
                                            class="page-link">1</a>
                                    </li>
                                    <li class="page-item disabled"><span class="page-link">...</span></li>
                                @endif

                                {{-- Pagination Elements --}}
                                @foreach ($posts->getUrlRange(max(1, $posts->currentPage() - 1), min($posts->lastPage(), $posts->currentPage() + 2)) as $page => $url)
                                    <li class="page-item {{ $page == $posts->currentPage() ? 'active' : '' }}">
                                        <a href="{{ $url . '&' . http_build_query(request()->except('page')) }}"
                                            class="page-link">{{ $page }}</a>
                                    </li>
                                @endforeach

                                {{-- Last Page Link --}}
                                @if ($posts->currentPage() < $posts->lastPage() - 2)
                                    <li class="page-item disabled"><span class="page-link">...</span></li>
                                    <li class="page-item">
                                        <a href="{{ $posts->url($posts->lastPage()) . '&' . http_build_query(request()->except('page')) }}"
                                            class="page-link">{{ $posts->lastPage() }}</a>
                                    </li>
                                @endif

                                {{-- Next Page Link --}}
                                @if ($posts->hasMorePages())
                                    <li class="page-item">
                                        <a href="{{ $posts->nextPageUrl() . '&' . http_build_query(request()->except('page')) }}"
                                            class="page-link">›</a>
                                    </li>
                                @else
                                    <li class="page-item disabled">
                                        <span class="page-link">›</span>
                                    </li>
                                @endif
                            </ul>
                        </div>
                    </div>
                @endif
            </div>
        </div>

    </section>

</main>
