<style>
    .error {
        color: red;
        font-size: 0.9em;
    }

    .remove-file-btn {
        font-size: 10px !important;
    }
</style>
<main class="main">
    <section class="header-inside faculty-login-header section dark-background"></section>
    <section id="starter-section" class="contact section">

        <div class="container">
            <div class="page-title" data-aos="fade-up" data-aos-delay="100">
                <div class="container d-lg-flex flex-wrap align-items-center">
                    <nav class="breadcrumbs">
                        <ol>
                            <li><a href="<?php echo e(route('public.index')); ?>">Home</a></li>
                            <li>Faculty</li>
                            <li class="current">Faculty Profile</li>
                        </ol>
                    </nav>
                    <div class="inside-heading">Faculty Profile</div>
                </div>
            </div>

            <div class="row gy-4" style="justify-content: center;">

                <div class="col-md-12">
                    <div class="registation-status-part">

                        <div
                            class="registation-status 
            <?php if($status == 'Approved'): ?> registation-approved 
            <?php else: ?> 
                registation-pending <?php endif; ?>">

                            <img src="<?php echo e($status == 'Approved' ? url('/themes/tifr/img/approved.svg') : url('/themes/tifr/img/pending.svg')); ?>"
                                alt="">
                            <?php echo e($status); ?>

                        </div>
                    </div>
                </div>

                <div class="col-lg-10 col-md-10">
                    <?php if(session('success')): ?>
                        <div class="alert alert-success">
                            <?php echo e(session('success')); ?>

                        </div>
                    <?php endif; ?>
                    <form action="<?php echo e(route('faculty-recruitment.update')); ?>" method="post"
                        enctype="multipart/form-data" class="php-email-form" data-aos="fade-up" data-aos-delay="100"
                        id="faculty_recruitment_form">
                        <?php echo csrf_field(); ?>
                        <div class="row gy-4">

                            <?php if($evaluationExists): ?>
                                <div class="col-md-4">
                                    <label class="form-label">Salutation <span class="required-star">*</span></label>
                                    <div class="form-label-data">
                                        <?php echo e(optional($salutations->firstWhere('id', $facultyRecruitment->salutation))->salutation_name); ?>

                                    </div>
                                </div>
                            <?php else: ?>
                                <div class="col-md-4">
                                    <label class="form-label">Salutation <span class="required-star">*</span></label>
                                    <select name="salutation" id="salutation" class="form-control">
                                        <option>--- Select ---</option>
                                        <?php $__currentLoopData = $salutations; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $salutation): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($salutation->id); ?>"
                                                <?php echo e(old('salutation', $facultyRecruitment->salutation) == $salutation->id ? 'selected' : ''); ?>>
                                                <?php echo e($salutation->salutation_name); ?>

                                            </option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                </div>
                            <?php endif; ?>

                            <?php if($evaluationExists): ?>
                                <div class="col-md-4">
                                    <label class="form-label">First Name</label>
                                    <div class="form-label-data"><?php echo e($facultyRecruitment->first_name); ?></div>
                                </div>
                            <?php else: ?>
                                <div class="col-md-4">
                                    <label class="form-label">First Name <span class="required-star">*</span></label>
                                    <input type="text" name="first_name" class="form-control"
                                        value="<?php echo e(old('first_name', $facultyRecruitment->first_name)); ?>"
                                        placeholder="First Name">
                                </div>
                            <?php endif; ?>

                            <?php if($evaluationExists): ?>
                                <div class="col-md-4">
                                    <label class="form-label">Middle Name</label>
                                    <div class="form-label-data"><?php echo e($facultyRecruitment->middle_name); ?></div>
                                </div>
                            <?php else: ?>
                                <div class="col-md-4">
                                    <label class="form-label">Middle Name</label>
                                    <input type="text" name="middle_name" class="form-control"
                                        value="<?php echo e(old('middle_name', $facultyRecruitment->middle_name)); ?>"
                                        placeholder="Middle Name">
                                </div>
                            <?php endif; ?>

                            <?php if($evaluationExists): ?>
                                <div class="col-md-4">
                                    <label class="form-label">Last Name <span class="required-star">*</span></label>
                                    <div class="form-label-data"><?php echo e($facultyRecruitment->last_name); ?></div>
                                </div>
                            <?php else: ?>
                                <div class="col-md-4">
                                    <label class="form-label">Last Name <span class="required-star">*</span></label>
                                    <input type="text" name="last_name" class="form-control"
                                        value="<?php echo e(old('last_name', $facultyRecruitment->last_name)); ?>"
                                        placeholder="Last Name">
                                </div>
                            <?php endif; ?>
                            <?php if($evaluationExists): ?>
                                <div class="col-md-4">
                                    <label class="form-label">Gender <span class="required-star">*</span></label>
                                    <div class="form-label-data"><?php echo e($facultyRecruitment->gender); ?></div>
                                </div>
                            <?php else: ?>
                                <div class="col-md-4">
                                    <label class="form-label">Gender <span class="required-star">*</span></label>
                                    <select name="gender" id="gender" class="form-control">
                                        <option value="">--- Select ---</option>
                                        <option value="Male"
                                            <?php echo e(old('gender', $facultyRecruitment->gender) == 'Male' ? 'selected' : ''); ?>>
                                            Male</option>
                                        <option value="Female"
                                            <?php echo e(old('gender', $facultyRecruitment->gender) == 'Female' ? 'selected' : ''); ?>>
                                            Female</option>
                                        <option value="Other"
                                            <?php echo e(old('gender', $facultyRecruitment->gender) == 'Other' ? 'selected' : ''); ?>>
                                            Other</option>
                                    </select>
                                </div>
                            <?php endif; ?>
                            <?php if($evaluationExists): ?>
                                <div class="col-md-4">
                                    <label class="form-label">Email <span class="required-star">*</span></label>
                                    <div class="form-label-data"><?php echo e($facultyRecruitment->email); ?></div>
                                </div>
                            <?php else: ?>
                                <div class="col-md-4">
                                    <label class="form-label">Email <span class="required-star">*</span></label>
                                    <input type="email" name="email" class="form-control"
                                        value="<?php echo e(old('email', $facultyRecruitment->email)); ?>" placeholder="Email">
                                </div>
                            <?php endif; ?>


                            <?php if($evaluationExists): ?>
                                <div class="col-md-4">
                                    <label class="form-label">Phone <span class="required-star">*</span></label>
                                    <div class="form-label-data"><?php echo e($facultyRecruitment->phone); ?></div>
                                </div>
                            <?php else: ?>
                                <div class="col-md-4">
                                    <label class="form-label">Phone <span class="required-star">*</span></label>
                                    <input type="text" name="phone" class="form-control"
                                        value="<?php echo e(old('phone', $facultyRecruitment->phone)); ?>" placeholder="Phone">
                                </div>
                            <?php endif; ?>

                            <?php if($evaluationExists): ?>
                                <div class="col-md-4">
                                    <label class="form-label">Country <span class="required-star">*</span></label>
                                    <div class="form-label-data">
                                        <?php echo e(optional($countries->firstWhere('id', $facultyRecruitment->country))->country_name); ?>

                                    </div>
                                </div>
                            <?php else: ?>
                                <div class="col-md-4">
                                    <label class="form-label">Country <span class="required-star">*</span></label>
                                    <select name="country" id="country" class="form-control">
                                        <option value="">--- Select ---</option>
                                        <?php $__currentLoopData = $countries; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $country): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($country->id); ?>"
                                                <?php echo e(old('country', $facultyRecruitment->country) == $country->id ? 'selected' : ''); ?>>
                                                <?php echo e($country->country_name); ?>

                                            </option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                </div>
                            <?php endif; ?>

                            <div class="col-md-4"></div>

                            <div class="col-md-4 <?php if(!isset($facultyRecruitment->cover_letter)): ?> highlight-pending-pdf <?php endif; ?>">
                                <label class="form-label">Cover Letter</label>

                                <!-- If evaluation exists, display the cover letter preview and remove option -->
                                <?php if($evaluationExists): ?>
                                    <?php if(isset($facultyRecruitment->cover_letter)): ?>
                                        <div class="form-label-data">
                                            <a href="<?php echo e(asset('storage/tifr_faculty_documents/' . $facultyRecruitment->cover_letter)); ?>"
                                                target="_blank" title="View" class="pdf-vew"
                                                style="float:none; display:inline-block;">
                                                View
                                            </a>
                                        </div>
                                    <?php else: ?>
                                        <div class="form-label-data">No cover letter uploaded.</div>
                                    <?php endif; ?>
                                <?php else: ?>
                                    <!-- If evaluation doesn't exist, allow the user to upload or remove the cover letter -->
                                    <input type="file" name="cover_letter" class="form-control"
                                        accept="application/pdf" id="cover_letter_input"
                                        <?php if(isset($facultyRecruitment->cover_letter)): ?> style="display: none;" <?php endif; ?>>

                                    <?php if(isset($facultyRecruitment->cover_letter)): ?>
                                        <div class="file-preview">
                                            <a href="<?php echo e(asset('storage/tifr_faculty_documents/' . $facultyRecruitment->cover_letter)); ?>"
                                                target="_blank" class="pdf-vew" title="View">View</a>
                                            <button type="button" class="remove-file-btn btn btn-danger"
                                                onclick="removeFile('cover_letter', this)" title="Remove">
                                                Remove
                                            </button>
                                            <input type="hidden" name="hidden_delete_cover_letter" value="0">
                                        </div>
                                    <?php endif; ?>
                                <?php endif; ?>
                            </div>

                            <div class="col-md-4 <?php if(!isset($facultyRecruitment->cv)): ?> highlight-pending-pdf <?php endif; ?>">
                                <label class="form-label">CV</label>

                                <!-- If evaluation exists, display the CV preview and remove option -->
                                <?php if($evaluationExists): ?>
                                    <?php if(isset($facultyRecruitment->cv)): ?>
                                        <div class="form-label-data">
                                            <a href="<?php echo e(asset('storage/tifr_faculty_documents/' . $facultyRecruitment->cv)); ?>"
                                                target="_blank" title="View" class="pdf-vew"
                                                style="float:none; display:inline-block;">
                                                View
                                            </a>
                                        </div>
                                    <?php else: ?>
                                        <div class="form-label-data">No CV uploaded.</div>
                                    <?php endif; ?>
                                <?php else: ?>
                                    <!-- If evaluation doesn't exist, allow the user to upload or remove the CV -->
                                    <input type="file" name="cv" class="form-control"
                                        accept="application/pdf"
                                        <?php if(isset($facultyRecruitment->cv)): ?> style="display: none;" <?php endif; ?>>

                                    <?php if(isset($facultyRecruitment->cv)): ?>
                                        <div class="file-preview">
                                            <a href="<?php echo e(asset('storage/tifr_faculty_documents/' . $facultyRecruitment->cv)); ?>"
                                                target="_blank" class="pdf-vew" title="View">View</a>
                                            <button type="button" class="remove-file-btn btn btn-danger"
                                                onclick="removeFile('cv', this)" title="Remove">
                                                Remove
                                            </button>
                                            <input type="hidden" name="hidden_delete_cv" value="0">
                                        </div>
                                    <?php endif; ?>
                                <?php endif; ?>
                            </div>

                            <div class="col-md-4 <?php if(!isset($facultyRecruitment->referees_list)): ?> highlight-pending-pdf <?php endif; ?>">
                                <label class="form-label">List of Referees</label>

                                <!-- If evaluation exists, display the referees list preview and remove option -->
                                <?php if($evaluationExists): ?>
                                    <?php if(isset($facultyRecruitment->referees_list)): ?>
                                        <div class="form-label-data">
                                            <a href="<?php echo e(asset('storage/tifr_faculty_documents/' . $facultyRecruitment->referees_list)); ?>"
                                                target="_blank" title="View" class="pdf-vew"
                                                style="float:none; display:inline-block;">
                                                View
                                            </a>
                                        </div>
                                    <?php else: ?>
                                        <div class="form-label-data">No referees list uploaded.</div>
                                    <?php endif; ?>
                                <?php else: ?>
                                    <!-- If evaluation doesn't exist, allow the user to upload or remove the referees list -->
                                    <input type="file" name="referees_list" class="form-control"
                                        accept="application/pdf"
                                        <?php if(isset($facultyRecruitment->referees_list)): ?> style="display: none;" <?php endif; ?>>

                                    <?php if(isset($facultyRecruitment->referees_list)): ?>
                                        <div class="file-preview">
                                            <a href="<?php echo e(asset('storage/tifr_faculty_documents/' . $facultyRecruitment->referees_list)); ?>"
                                                target="_blank" class="pdf-vew" title="View">View</a>
                                            <button type="button" class="remove-file-btn btn btn-danger"
                                                onclick="removeFile('referees_list', this)" title="Remove">
                                                Remove
                                            </button>
                                            <input type="hidden" name="hidden_delete_referees_list" value="0">
                                        </div>
                                    <?php endif; ?>
                                <?php endif; ?>
                            </div>

                            <div class="col-md-4 <?php if(!isset($facultyRecruitment->research_proposal)): ?> highlight-pending-pdf <?php endif; ?>">
                                <label class="form-label">Research Proposal</label>

                                <!-- If evaluation exists, display the research proposal preview and remove option -->
                                <?php if($evaluationExists): ?>
                                    <?php if(isset($facultyRecruitment->research_proposal)): ?>
                                        <div class="form-label-data">
                                            <a href="<?php echo e(asset('storage/tifr_faculty_documents/' . $facultyRecruitment->research_proposal)); ?>"
                                                target="_blank" title="View" class="pdf-vew"
                                                style="float:none; display:inline-block;">
                                                View
                                            </a>
                                        </div>
                                    <?php else: ?>
                                        <div class="form-label-data">No Research Proposal uploaded.</div>
                                    <?php endif; ?>
                                <?php else: ?>
                                    <!-- If evaluation doesn't exist, allow the user to upload or remove the research proposal -->
                                    <input type="file" name="research_proposal" class="form-control"
                                        accept="application/pdf"
                                        <?php if(isset($facultyRecruitment->research_proposal)): ?> style="display: none;" <?php endif; ?>>

                                    <?php if(isset($facultyRecruitment->research_proposal)): ?>
                                        <div class="file-preview">
                                            <a href="<?php echo e(asset('storage/tifr_faculty_documents/' . $facultyRecruitment->research_proposal)); ?>"
                                                target="_blank" class="pdf-vew" title="View">View</a>
                                            <button type="button" class="remove-file-btn btn btn-danger"
                                                onclick="removeFile('research_proposal', this)" title="Remove">
                                                Remove
                                            </button>
                                            <input type="hidden" name="hidden_delete_research_proposal"
                                                value="0">
                                        </div>
                                    <?php endif; ?>
                                <?php endif; ?>
                            </div>
                            <div class="col-md-4 <?php if(!isset($facultyRecruitment->publications_list)): ?> highlight-pending-pdf <?php endif; ?>">
                                <label class="form-label">Three Selected Publications (As one file)</label>

                                <!-- If evaluation exists, display the publications list preview and remove option -->
                                <?php if($evaluationExists): ?>
                                    <?php if(isset($facultyRecruitment->publications_list)): ?>
                                        <div class="form-label-data">
                                            <a href="<?php echo e(asset('storage/tifr_faculty_documents/' . $facultyRecruitment->publications_list)); ?>"
                                                target="_blank" title="View" class="pdf-vew"
                                                style="float:none; display:inline-block;">
                                                View
                                            </a>
                                        </div>
                                    <?php else: ?>
                                        <div class="form-label-data">No Publications List uploaded.</div>
                                    <?php endif; ?>
                                <?php else: ?>
                                    <!-- If evaluation doesn't exist, allow the user to upload or remove the publications list -->
                                    <input type="file" name="publications_list" class="form-control"
                                        accept="application/pdf"
                                        <?php if(isset($facultyRecruitment->publications_list)): ?> style="display: none;" <?php endif; ?>>

                                    <?php if(isset($facultyRecruitment->publications_list)): ?>
                                        <div class="file-preview">
                                            <a href="<?php echo e(asset('storage/tifr_faculty_documents/' . $facultyRecruitment->publications_list)); ?>"
                                                target="_blank" class="pdf-vew" title="View">View</a>
                                            <button type="button" class="remove-file-btn btn btn-danger"
                                                onclick="removeFile('publications_list', this)" title="Remove">
                                                Remove
                                            </button>
                                            <input type="hidden" name="hidden_delete_publications_list"
                                                value="0">
                                        </div>
                                    <?php endif; ?>
                                <?php endif; ?>
                            </div>

                            <div class="col-md-12">
                                <div class="or-part"><span class="or-span">AND</span></div>
                            </div>

                            <div class="col-md-4 <?php if(!isset($facultyRecruitment->combined_application)): ?> highlight-pending-pdf <?php endif; ?>">
                                <label class="form-label">Combined Application <span
                                        class="required-star">*</span></label>
                                <!-- If evaluation exists, display the combined application preview and remove option -->
                                <?php if($evaluationExists): ?>
                                    <?php if(isset($facultyRecruitment->combined_application)): ?>
                                        <div class="form-label-data">
                                            <a href="<?php echo e(asset('storage/tifr_faculty_documents/' . $facultyRecruitment->combined_application)); ?>"
                                                target="_blank" title="View" class="pdf-vew"
                                                style="float:none; display:inline-block;">
                                                View
                                            </a>
                                        </div>
                                    <?php else: ?>
                                        <div class="form-label-data">No Combined Application uploaded.</div>
                                    <?php endif; ?>
                                <?php else: ?>
                                    <!-- If evaluation doesn't exist, allow the user to upload or remove the combined application -->
                                    <input type="file" name="combined_application" class="form-control"
                                        accept="application/pdf"
                                        <?php if(isset($facultyRecruitment->combined_application)): ?> style="display: none;" <?php endif; ?>>

                                    <?php if(isset($facultyRecruitment->combined_application)): ?>
                                        <div class="file-preview">
                                            <a href="<?php echo e(asset('storage/tifr_faculty_documents/' . $facultyRecruitment->combined_application)); ?>"
                                                target="_blank" class="pdf-vew" title="View">View</a>
                                            <button type="button" class="remove-file-btn btn btn-danger"
                                                onclick="removeFile('combined_application', this)" title="Remove">
                                                Remove
                                            </button>
                                            <input type="hidden" name="hidden_delete_combined_application"
                                                value="0">
                                        </div>
                                    <?php endif; ?>
                                <?php endif; ?>
                            </div>

                            <?php if($evaluationExists): ?>
                                <div class="col-md-12">
                                    <label class="form-label">Affiliation <span class="required-star">*</span></label>
                                    <div class="form-label-data"><?php echo e($facultyRecruitment->affiliation); ?></div>
                                </div>
                            <?php else: ?>
                                <div class="col-md-12">
                                    <label class="form-label">Affiliation <span class="required-star">*</span></label>
                                    <textarea class="form-control" name="affiliation" rows="4" placeholder="Affiliation"><?php echo e(old('affiliation', $facultyRecruitment->affiliation)); ?></textarea>
                                </div>
                            <?php endif; ?>

                            <?php if($evaluationExists): ?>
                                <div class="col-md-12">
                                    <label class="form-label">Mailing Address <span
                                            class="required-star">*</span></label>
                                    <div class="form-label-data"><?php echo e($facultyRecruitment->address); ?></div>
                                </div>
                            <?php else: ?>
                                <div class="col-md-12">
                                    <label class="form-label">Mailing Address <span
                                            class="required-star">*</span></label>
                                    <textarea class="form-control" name="address" rows="4" placeholder="Mailing Address"><?php echo e(old('address', $facultyRecruitment->address)); ?></textarea>
                                </div>
                            <?php endif; ?>

                            <?php if(!$evaluationExists): ?>
                                <div class="col-md-12">
                                    <button type="submit">Update</button>
                                </div>
                            <?php endif; ?>
                        </div>
                    </form>

                </div>
            </div>
        </div>

    </section>
</main>

<script>
    function removeFile(fieldName, button) {
        var filePreviewDiv = button.closest('.file-preview');

        if (filePreviewDiv) {
            filePreviewDiv.style.display = 'none';
        }

        var hiddenDeleteInput = document.querySelector('[name="hidden_delete_' + fieldName + '"]');
        if (hiddenDeleteInput) {
            hiddenDeleteInput.value = '1';
        }

        var fileInput = document.querySelector('[name="' + fieldName + '"]');
        if (fileInput) {
            fileInput.value = '';
            fileInput.style.display = 'block';
        }
    }
</script>

<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/jquery-validation@1.19.5/dist/jquery.validate.min.js"></script>
<script src="https://cdn.jsdelivr.net/jquery.validation/1.16.0/additional-methods.min.js"></script>

<script>
    var $jq = jQuery.noConflict();
    $jq(document).ready(function() {
        $jq("#faculty_recruitment_form").validate({
            rules: {
                salutation: {
                    required: true
                },
                first_name: {
                    required: true,
                    minlength: 2
                },
                last_name: {
                    required: true,
                    minlength: 2
                },
                email: {
                    required: true,
                    email: true
                },
                phone: {
                    required: true,
                    minlength: 10,
                    maxlength: 15
                },
                country: {
                    required: true
                },
                affiliation: {
                    required: true
                },
                address: {
                    required: true
                },
                cover_letter: {
                    filesize: 10485760,
                    extension: "pdf"
                },
                cv: {
                    filesize: 10485760,
                    extension: "pdf"
                },
                referees_list: {
                    filesize: 10485760,
                    extension: "pdf"
                },
                research_proposal: {
                    filesize: 10485760,
                    extension: "pdf"
                },
                publications_list: {
                    filesize: 10485760,
                    extension: "pdf"
                },
                combined_application: {
                    required: true,
                    filesize: 10485760,
                    extension: "pdf"
                },
            },
            messages: {
                email: {
                    required: "Please enter a valid email address.",
                    email: "Please enter a valid email format."
                },
                phone: {
                    required: "Please enter your phone number.",
                    minlength: "Phone number must be at least 10 digits.",
                    maxlength: "Phone number cannot exceed 15 digits."
                },
                country: {
                    required: "Please select your country."
                },
                affiliation: {
                    required: "Please provide your affiliation."
                },
                address: {
                    required: "Please provide your mailing address."
                },
                cover_letter: {
                    extension: "Please upload a valid PDF file.",
                    filesize: "The file size should not exceed 10MB."
                },
                cv: {
                    extension: "Please upload a valid PDF file.",
                    filesize: "The file size should not exceed 10MB."
                },
                referees_list: {
                    extension: "Please upload a valid PDF file.",
                    filesize: "The file size should not exceed 10MB."
                },
                research_proposal: {
                    extension: "Please upload a valid PDF file.",
                    filesize: "The file size should not exceed 10MB."
                },
                publications_list: {
                    extension: "Please upload a valid PDF file.",
                    filesize: "The file size should not exceed 10MB."
                },
                combined_application: {
                    required: "Please upload the combined application.",
                    extension: "Please upload a valid PDF file.",
                    filesize: "The file size should not exceed 10MB."
                },
            },
            errorPlacement: function(error, element) {
                if (element.attr("type") === "file") {
                    error.insertAfter(element);
                } else {
                    error.insertAfter(element);
                }
            },
            submitHandler: function(form) {
                var submit_button = $jq("button[type='submit']");
                submit_button.prop("disabled", true);

                form.submit();
            }
        });

        $jq.validator.addMethod("filesize", function(value, element, param) {
            var fileSize = element.files.length > 0 ? element.files[0].size : 0;
            return fileSize <= param;
        }, "File size must be under 10MB.");

    });
</script>
<?php /**PATH /opt/lampp/htdocs/laravel_cms_7.4.5_tifr/platform/themes/tifr/views/faculty-login/faculty_account.blade.php ENDPATH**/ ?>