<link rel="preconnect" href="https://fonts.googleapis.com">
<link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
<link href="https://fonts.googleapis.com/css2?family=Plus+Jakarta+Sans:ital,wght@0,200..800;1,200..800&display=swap"
    rel="stylesheet">

<ul <?php echo $options; ?>>

    <?php $__currentLoopData = $menu_nodes->loadMissing('metadata'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $row): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <li <?php if($row->css_class || $row->active): ?> class="<?php if($row->css_class): ?><?php echo e($row->css_class); ?> <?php endif; ?>
            <?php if($row->active): ?> current <?php endif; ?>" <?php endif; ?>>

            <?php
                // Check if the menu has child menu then create url for child menu
                $firstChildUrl = null;
                if ($row->has_child && $row->child->count() > 0) {
                    $firstChildUrl = url($row->child->first()->url);
                }
            ?>

            <a href="<?php echo e($firstChildUrl ?? url($row->url)); ?>"
                <?php if($row->target !== '_self'): ?> target="<?php echo e($row->target); ?>" <?php endif; ?>>

                <?php if($iconImage = $row->getMetadata('icon_image', true)): ?>
                    <img src="<?php echo e(RvMedia::getImageUrl($iconImage)); ?>" alt="icon image" class="menu-icon-image" />
                <?php elseif($row->icon_font): ?>
                    <i class="<?php echo e(trim($row->icon_font)); ?>"></i>
                <?php endif; ?>

                <span><?php echo e($row->title); ?></span>

                <?php if($row->has_child): ?>
                    <i class="bi bi-chevron-down toggle-dropdown"></i>
                <?php endif; ?>
            </a>

            <?php if($row->has_child): ?>
                <?php echo Menu::generateMenu([
                    'menu' => $menu,
                    'menu_nodes' => $row->child,
                ]); ?>

            <?php endif; ?>
        </li>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
</ul>
<?php /**PATH /opt/lampp/htdocs/laramag_7.4.5/platform/themes/tifr/partials/header-bottom-menu.blade.php ENDPATH**/ ?>